/* JavaScript content from payroll/js/controllers/payroll-confirm-controller.js in folder common */ 
smbcController.controller('PayrollConfirmCtrl', function($rootScope,$scope, $state,commonServices,$stateParams, transferOutService, payrollOutService,payrollTransferService){
	utility.AdobeAnalytics("TFMFCN01","取引内容・件数確認","screen_view");
	$scope.isAndroid44 = utility.isAndroid44();
	$scope.isAndroid442 = utility.isAndroid442();
	$scope.btnFlag = false;
	$scope.btnActiveFlag = false;
	
	$scope.showNotifyMsg1=false;
	$scope.transforlistErrorMsg = Messages.PAYROLL_CONFIRM_NO_MATCH_MESSAGE;

	var groupId = $stateParams.groupId;
	$scope.groupName = $stateParams.groupId.name;
	$scope.transferoutlists = [];
	$scope.transferinlists = [];
	$scope.groupInfo = {};
	
	//取Server数据
	//若获取失败，或无数据为空，设置长度为0
	var transferoutresponsedataLength = null;
	var transferinresponsedataLength = null;
	
	if(utility.hasValue(commonServices.storage().get('transferOutFrom7480')) && Object.keys(commonServices.storage().get('transferOutFrom7480')).length !=0){
		transferoutresponsedataLength = commonServices.storage().get('transferOutFrom7480').data.REGI_ACCNT_CNT_SIA;
	}else{
		transferoutresponsedataLength = 0;
	}
	if(utility.hasValue(commonServices.storage().get('transferInFrom7880')) && Object.keys(commonServices.storage().get('transferInFrom7880')).length !=0){
		transferinresponsedataLength = utility.clone(commonServices.storage().get('transferInFrom7880').data.ACCNT_BL_NUMBER);
		if(transferinresponsedataLength == "1"){
			$scope.showEditBtn = false;
		}else{
			$scope.showEditBtn = true;
		}
	}else{
		transferinresponsedataLength = 0;
	}
	
	//通过长度获取数据，无数据为空
	var transferoutresponsedata = null;
	var transferinresponsedata = null;
	
	if(utility.hasValue(transferoutresponsedataLength) && transferoutresponsedataLength !==0){
		transferoutresponsedata =utility.clone(commonServices.storage().get('transferOutFrom7480').data.REGI_ACCNT_INF_SIA);
	}else{
//		transferoutresponsedata = {};
	}	
	if(utility.hasValue(transferinresponsedataLength) && transferinresponsedataLength !==0){	
		transferinresponsedata =utility.clone(commonServices.storage().get('transferInFrom7880').data.ACCNT_BL_INF);
	}else{
		transferinresponsedata = {};
	}

	var lists=utility.clone(commonServices.storage().get('transferInFrom7880').data.ACCNT_BL_INF);

	$scope.outShowErrorFlag = false;
	var outAccCheck = function(lists,groupInfo){
		var outDisaccordNum = 0;
		var listsLength = 0;
		for (var i in lists) {
			var AccountNum = lists[i].AccountNum;
			var ACCNT_BL_TYPE =lists[i].ACCNT_BL_TYPE;
			var Branch =lists[i].Branch;
			var AccountName =lists[i].AccountName;
			if (groupInfo.AccountNum == AccountNum && groupInfo.pay_account_type_code ==ACCNT_BL_TYPE && groupInfo.Branch == Branch && groupInfo.AccountName ==AccountName) {
				outDisaccordNum = -999;
				break;
			} else {
				outDisaccordNum++;
			}
			listsLength = parseInt(i) + 1;
		}
		if((listsLength == outDisaccordNum) && utility.hasValue(groupId)){
			$scope.outShowErrorFlag = true;
		}
	}

    var setRadioCheck = function(lists){
    	//$scope.isChecked=false;
    	if(lists.length != 0){
    		for (var i in lists) {
    			if(utility.isNothing(lists[i].checked)){
    				lists[i].checked = true;
    				//$scope.isChecked=true;
    			}else{
    				//do nothing
    			}
    		}
    	}
    	else{
    		//do nothing
    	}
    }
    
    var pageInit = function(){
    	if(!commonServices.storage().get('isResumeToPayroll')){
    		//clear memory
        	commonServices.storage().set('PAYROLL_NAVNUM', []);
        	commonServices.storage().set('PAYROLL_NAVNUMSELECTED', []);
        	commonServices.storage().set('PAYROLL_SELECTEDLIST', []);
        	commonServices.storage().set('PAYROLL_PAYACCOUNT', []);
        	commonServices.storage().set('PAYROLL_TRANSFER_RESULT_LIST', []);
        	commonServices.storage().set('PAYROLL_MIA7486K', []);
        	commonServices.storage().set('PAYROLL_MIA7821', []);
        	commonServices.storage().set('PAYROLL_JUMP_ERROR', false);
        	commonServices.storage().set('PAYROLL_DATA_INDEX', []);
    	}else{
    		commonServices.storage().set('isResumeToPayroll',false);
    	}
    	  	
		if(utility.isNothing(commonServices.storage().get('PAYROLL_TRANSFEROUTLISTS')) || commonServices.storage().get('PAYROLL_TRANSFEROUTLISTS').length == 0){
			$rootScope.showtransferOutlist=false;
			commonServices.storage().set('PAYROLL_TRANSFEROUTLISTS', []);
		}else{
			$rootScope.showtransferOutlist=true;
			$scope.transferoutlists = commonServices.storage().get('PAYROLL_TRANSFEROUTLISTS');
			var transferoutFlag = payrollOutService.showTransferOutError(transferoutresponsedata,$scope.transferoutlists);
			setRadioCheck($scope.transferoutlists);
			
			if(utility.hasValue($scope.transferoutlists) && $scope.transferoutlists.length !== 0){
				
				for(var i = 0; i < $scope.transferoutlists.length; i++){
					if(utility.isNothing($scope.transferoutlists[i].name)){
						$scope.transferoutlists[i].nameDisplay = false;
					}else{
						$scope.transferoutlists[i].nameDisplay = true;
					}
				}

			}else{

			}
			//$scope.transferoutlists = transferoutlists;
//			if(utility.isNothing(commonServices.storage().get('PAYROLL_CONFIRM_DATA_OUT')) || commonServices.storage().get('PAYROLL_CONFIRM_DATA_OUT').length === 0){
//				commonServices.storage().set('PAYROLL_CONFIRM_DATA_OUT', utility.clone(transferoutlists));
//			}
//
//			$scope.transferoutlists = commonServices.storage().get('PAYROLL_CONFIRM_DATA_OUT');
		}
		if(utility.hasValue(commonServices.storage().get('PAYROLL_GROUPINFO'))){
			$scope.groupInfo = commonServices.storage().get('PAYROLL_GROUPINFO');
		}else{
			$scope.groupInfo = {};
		}
		if(utility.isNothing(commonServices.storage().get('PAYROLL_TRANSFERINLISTS')) || commonServices.storage().get('PAYROLL_TRANSFERINLISTS').length == 0){
			$rootScope.showtransferInlist=false;
			commonServices.storage().set('PAYROLL_TRANSFERINLISTS', []);
		}else{
			$rootScope.showtransferInlist=true;
			var transferinlists = commonServices.storage().get('PAYROLL_TRANSFERINLISTS');
			var transferinFlag = payrollOutService.showTransferInError(transferinresponsedata,transferinlists);	
			setRadioCheck(transferinlists);
			$scope.transferinlists = transferinlists;
			if(utility.isNothing(commonServices.storage().get('PAYROLL_CONFIRM_DATA_IN')) || commonServices.storage().get('PAYROLL_CONFIRM_DATA_IN').length === 0){
				commonServices.storage().set('PAYROLL_CONFIRM_DATA_IN', utility.clone(transferinlists));
			}

			$scope.transferinlists = commonServices.storage().get('PAYROLL_CONFIRM_DATA_IN');
		}
		var rum = 0;
		for(var i = 0; i < $scope.transferoutlists.length; i++){
			rum++;
			$scope.transferoutlists[i].rownum = rum;
			
		}
		for(var i = 0; i < $scope.transferinlists.length; i++){
			rum++;
			$scope.transferinlists[i].rownum = rum;
		}
		
		commonServices.storage().set('rowCntInGroup',rum);
		//出金口座現在の預金残高 在7880内获取
//		for(i=0;i<Object.keys(transferinresponsedata).length;i++){
////			if($scope.groupInfo.AccountNum == transferinresponsedata[i].AccountNum){
////				$scope.groupInfo.BALANCE = transferinresponsedata[i].BALANCE;
////				$scope.groupInfo.PAY_CAN_BALANCE = transferinresponsedata[i].PAY_CAN_BALANCE;
////			}else{
////				//do nothing
////			}
//			if($scope.groupInfo.pay_account_index1 == transferinresponsedata[i].Detail_index_ori){
//				$scope.groupInfo.BALANCE = transferinresponsedata[i].BALANCE;
//				$scope.groupInfo.PAY_CAN_BALANCE = transferinresponsedata[i].PAY_CAN_BALANCE;
//			}else{
//				//do nothing
//			}
//			
//		}
		var PAYROLL_MIA7486Z = commonServices.storage().get('PAYROLL_MIA7486Z');
		$scope.balanceShow = true;
		if(utility.hasValue(PAYROLL_MIA7486Z)){
			$scope.groupInfo.BALANCE = PAYROLL_MIA7486Z.BALANCE;
			$scope.groupInfo.PAY_CAN_BALANCE = PAYROLL_MIA7486Z.PAY_CAN_BALANCE;
		}else{
			$scope.balanceShow = false;
		}

		if(utility.isNothing($scope.groupInfo.BALANCE)){
			$scope.groupInfo.BALANCE = '0';
		}else{
			//do nothing
		}
		if(utility.isNothing($scope.groupInfo.PAY_CAN_BALANCE)){
			$scope.groupInfo.PAY_CAN_BALANCE = '0';
		} 
		
		//出金口座信息及金额存入新内存
		commonServices.storage().set('PAYROLL_PAYACCOUNT', $scope.groupInfo);
		
		if(utility.hasValue(transferoutFlag) && utility.hasValue(transferinFlag)){
			if(transferoutFlag || transferinFlag){
				commonServices.showAlert("",
						Messages.PAYROLL_CONFIRM_NO_MATCH_POPUP, [ {
	    					text : Messages.YES,
	    					onTap : function(e) {
	    						
	    					}
	    				}]
    			    );
			}
		}else if(utility.hasValue(transferoutFlag)) {
			if(transferoutFlag){
				commonServices.showAlert("",
						Messages.PAYROLL_CONFIRM_NO_MATCH_POPUP, [ {
	    					text : Messages.YES,
	    					onTap : function(e) {
	    						
	    					}
	    				}]
    			    );
			}
		}else if(utility.hasValue(transferinFlag)){
			if(transferinFlag){
				commonServices.showAlert("",
						Messages.PAYROLL_CONFIRM_NO_MATCH_POPUP, [ {
	    					text : Messages.YES,
	    					onTap : function(e) {
	    						
	    					}
	    				}]
    			    );
			}
		}

		if(utility.hasValue($scope.transferoutlists) && $scope.transferoutlists.length !== 0){
			for(var i = 0; i < $scope.transferoutlists.length; i++){
				if(utility.isNothing($scope.transferoutlists[i].name)){
					$scope.transferoutlists[i].nameDisplay = false;
				}else{
					$scope.transferoutlists[i].nameDisplay = true;
				}

			}

		}else{
			//do nothing 
		}
		
		outAccCheck(lists,$scope.groupInfo);
	}
    
//    $scope.$on('$ionicView.enter',function(e) {
    	pageInit();
//	});
    $scope.gotoEidtPage=function(){

		utility.showBusy();
    	commonServices.storage().set('fromTop',false);
//    	var transferOutFrom7480 = commonServices.storage().get('transferOutFrom7480');
//		var REGIST_NO = '001';
//		if(utility.hasValue(transferOutFrom7480.data.REGI_ACCNT_INF_SIA)){
//			for(var idx in transferOutFrom7480.data.REGI_ACCNT_INF_SIA){
//				REGIST_NO = transferOutFrom7480.data.REGI_ACCNT_INF_SIA[idx].REGI_no;
//				break;
//			}
//		}
    	//$state.go('tab.page-pay-account-edit',{groupId:groupId});
    	// 『選択』押下時　＝＞ 「振込先」を選択時
		// 1.MIA7482 imgFurikomiSelectSap.y
//		var params = {
//			TrxID : 'MIA7482',
//			TORIHIKI_KBN : '1',
//			REGIST_NO : REGIST_NO,
//			rdoNyukin : '0',
//			FURIKOMI_KUBUN : '01',
//			'imgFurikomiSelectSap.y' : '1'
//		};
//		commonServices.sendRequest({
//			data: params,
//			url: 'transferaccountlistbybank',
//			config: {
//				'ACCNT_INF_SIA': CONSTS.DIRECT_API.ACCOUNT_DETAILS.ACCNT_INF_SIA
//			},
//			scope: $scope
//		}).then(
//			function(res7482){
//				utility.showBusy();
//				console.log('service MIA7482 imgFurikomiSelectSap.y call sucess');
//				commonServices.storage().set('PAYROLL_MIA7482_PAYACCOUNT_LIST', res7482.data.ACCNT_INF_SIA);
//				commonServices.storage().set('PAYROLL_MIA7482_CHANGE_ACCOUNT', res7482.data);
//				utility.hideBusy();
//				$state.go('tab.page-pay-account-edit',{groupId:groupId});
//			},function(error){
//				utility.showBusy();
//				console.log('service MIA7482 imgFurikomiSelectSap.y call error');
//				commonServices.storage().set('PAYROLL_MIA7482_PAYACCOUNT_LIST', null);
//				utility.hideBusy();
//			}
//		);
		
		//MIA7880 bMalt.y
		//出金口座变更接口替换为MIA7880
		var params = {
			TrxID : "MIA7880",
			PAGE_IDX : "0",
			'bMalt.y' : "1"
		};
		commonServices.sendRequest({
			url: 'mia7880',
			data: params,
			config: CONSTS.DIRECT_API.ACCOUNT_INFO
		}).then(
			function(res7482){
				utility.showBusy();
				console.log('service MIA7482 imgFurikomiSelectSap.y call sucess');
				commonServices.storage().set('PAYROLL_MIA7880_PAYACCOUNT_LIST', res7482.data.ACCNT_BL_INF);
//				commonServices.storage().set('PAYROLL_MIA7880_CHANGE_ACCOUNT', res7482.data);
				utility.hideBusy();
				if ($rootScope.currentTab == "tab.setting") {
                    $state.go('tab.setting-page-pay-account-edit', { groupId: groupId });
                } else {
                    $state.go('tab.page-pay-account-edit', { groupId: groupId });
                }
			},function(error){
				utility.showBusy();
				console.log('service MIA7482 imgFurikomiSelectSap.y call error');
				commonServices.storage().set('PAYROLL_MIA7880_PAYACCOUNT_LIST', null);
				utility.hideBusy();
			}
		);
    }
    $scope.clickRadio=function(data){
    	var outInput = document.getElementById('transferOutInput');
    	var inInput = document.getElementById('transferInInput');
    	
    	//defect 1594
    	if(inInput!=null){
    		inInput.blur();
    	}
    	if(outInput!=null){
    		outInput.blur();
    	}
		if(data.checked == true){
			data.checked = false;
			$scope.btnActiveFlag = false;
		}else{
			data.checked = true;
		}
		if(data.checked && (data.price == "" || utility.isNotAllNum(data.price))){
			$scope.btnActiveFlag = true;
		}
		if(utility.hasValue($scope.transferinlists) && $scope.transferinlists.length !=0 && utility.hasValue($scope.transferoutlists) && $scope.transferoutlists.length !=0){
    		//既有振替也有振入
			//至少有一项被选中
			var inCheckedFlag = true;
			var outCheckedFlag = true;
			var btnCheckedFlag = {};
			for(var i in $scope.transferinlists){
    			if($scope.transferinlists[i].checked){
    				inCheckedFlag = false;
    				break;
    			}
    		}
			for(var i in $scope.transferoutlists){
    			if($scope.transferoutlists[i].checked){
    				outCheckedFlag = false;
    				break;
    			}
    		}
			if(inCheckedFlag && outCheckedFlag){
    			btnCheckedFlag = true;
    		}else{
    			btnCheckedFlag = false;
    		}
			
			//且选中项都需符合条件
			var inFlag = false;
        	var outFlag = false;
        	var btnFlag  = {};
    		for(var i in $scope.transferinlists){
    			if($scope.transferinlists[i].checked && ($scope.transferinlists[i].showerrorflag || $scope.transferinlists[i].price =="" || utility.isNotAllNum($scope.transferinlists[i].price))){
    				inFlag = true;
    				break;
    			}
    		}
    		for(var i in $scope.transferoutlists){
    			if($scope.transferoutlists[i].checked && ($scope.transferoutlists[i].showerrorflag || $scope.transferoutlists[i].price =="" || utility.isNotAllNum($scope.transferoutlists[i].price))){
    				outFlag = true;
    				break;
    			}
    		}
    		if(inFlag || outFlag){
    			btnFlag = true;
    		}else{
    			btnFlag = false;
    		}
    		
    		$scope.btnFlag = btnFlag || btnCheckedFlag;
    	}else if(utility.hasValue($scope.transferinlists) && $scope.transferinlists.length !=0 && (utility.isNothing($scope.transferoutlists) || $scope.transferoutlists.length ==0)){
    		//只有振替没有振入
    		//至少有一项被选中
    		var inCheckedFlag = true;
    		for(var i in $scope.transferinlists){
    			if($scope.transferinlists[i].checked){
    				inCheckedFlag = false;
    				break;
    			}
    		}
    		
    		//且选中项都需符合条件
    		var inFlag = false;
    		for(var i in $scope.transferinlists){
    			if($scope.transferinlists[i].checked && ($scope.transferinlists[i].showerrorflag || $scope.transferinlists[i].price =="" || utility.isNotAllNum($scope.transferinlists[i].price))){
    				inFlag = true;
    				break;
    			}
    		}
    		
    		$scope.btnFlag = inFlag || inCheckedFlag;
    	}else if((utility.isNothing($scope.transferinlists) || $scope.transferinlists.length ==0) && utility.hasValue($scope.transferoutlists) && $scope.transferoutlists.length !=0){
    		//只有振入没有振替
    		//至少有一项被选中
    		var outCheckedFlag = true;
    		for(var i in $scope.transferoutlists){
    			if($scope.transferoutlists[i].checked){
    				outCheckedFlag = false;
    				break;
    			}
    		}
    		
    		//且选中项都需符合条件
    		var outFlag = false;
    		for(var i in $scope.transferoutlists){
    			if($scope.transferoutlists[i].checked && ($scope.transferoutlists[i].showerrorflag || $scope.transferoutlists[i].price =="" || utility.isNotAllNum($scope.transferoutlists[i].price))){
    				outFlag = true;
    				break;
    			}
    		}  	
    		
    		$scope.btnFlag = outFlag || outCheckedFlag;
    	}else{
    		//do nothing
    	}
	}
    $scope.setBtnActiveFlag = function(){    	
    	if(utility.hasValue($scope.btnFlag)){
    		$scope.btnFlag = false;
    	}
    	if(utility.hasValue($scope.transferinlists) && $scope.transferinlists.length !=0 && utility.hasValue($scope.transferoutlists) && $scope.transferoutlists.length !=0){
    		var inFlag = false;
        	var outFlag = false;
        	var btnActiveFlag = {};
    		for(var i in $scope.transferinlists){
    			if($scope.transferinlists[i].checked && ($scope.transferinlists[i].price =="" || utility.isNotAllNum($scope.transferinlists[i].price))){
    				inFlag = true;
    				break;
    			}
    		}
    		for(var i in $scope.transferoutlists){
    			if($scope.transferoutlists[i].checked && ($scope.transferoutlists[i].price =="" || utility.isNotAllNum($scope.transferoutlists[i].price)) ){
    				outFlag = true;
    				break;
    			}
    		}
    		if(inFlag || outFlag){
    			btnActiveFlag = true;
    		}else{
    			btnActiveFlag = false;
    		}
    		$scope.btnActiveFlag = btnActiveFlag;
    	}else if(utility.hasValue($scope.transferinlists) && $scope.transferinlists.length !=0 && (utility.isNothing($scope.transferoutlists) || $scope.transferoutlists.length ==0)){
    		var inFlag = false;
    		for(var i in $scope.transferinlists){
    			if($scope.transferinlists[i].checked && ($scope.transferinlists[i].price =="" || utility.isNotAllNum($scope.transferinlists[i].price))){
    				inFlag = true;
    				break;
    			}
    		}
    		$scope.btnActiveFlag = inFlag;
    	}else if((utility.isNothing($scope.transferinlists) || $scope.transferinlists.length ==0) && utility.hasValue($scope.transferoutlists) && $scope.transferoutlists.length !=0){
    		var outFlag = false;
    		for(var i in $scope.transferoutlists){
    			if($scope.transferoutlists[i].checked && ($scope.transferoutlists[i].price =="" || utility.isNotAllNum($scope.transferoutlists[i].price))){
    				outFlag = true;
    				break;
    			}
    		}  	
    		$scope.btnActiveFlag = outFlag;
    	}else{
    		//do nothing
    	}
	}
//    $scope.focusOnInput = function(data){
//    	$scope.btnActiveFlag = true;
//    	//defect 1593
//    	//data.price = "";
//    }

	// prevent double clicking on Execute button
	var isProcessing = false;
	var changeProcessingStatus = function(){
		isProcessing = false;
	};
	var checkTapInterval = function (interval) {
		if (isProcessing === true) {
			return false;
		}
		isProcessing = true;
		setTimeout(changeProcessingStatus,interval);
		return true;
	};
	// 振込・振替の取引へ button
	$scope.confirmSubmit = function(){

		// prevent double clicking on Execute button
		if(!checkTapInterval(smbc.config.intervalTimeout)){
			console.log('Can not excute : confirmOutSubmit !!!');
			return;
		}
		else
		{
			commonServices.storage().set('PAYROLL_COMFIRM_EDIT_TEL', "");
			commonServices.storage().set('PAYROLL_COMFIRM_EDIT_TEL_EDIT_FLAG', false);
			commonServices.storage().set('PAYROLL_COMFIRM_EDIT_PREVIOUS_TEL_EDIT_FLAG', false);
	//		utility.showBusy();
			//如果振替与出金口座一致弹出popup
	//		var sameOutAccountFlag = false;
			for(var i in $scope.transferinlists){
				if(utility.hasValue($scope.groupInfo) && $scope.transferinlists[i].checked && $scope.groupInfo.AccountNum === $scope.transferinlists[i].number){
	//				sameOutAccountFlag = true;
					commonServices.showAlert("",Messages.PAYROLL_ALT_SAMECCOUNT, [ {
							text : Messages.YES,
							onTap : function(e) {

							}
						}]
					);
					return;
				}
			}
			//存储已选中的出金入金口座的个数,指定list transferType
			var outlistsLength = 0;
			var inlistsLength = 0;
			var checkedTransferList = [];
			if(utility.hasValue($scope.transferoutlists) && $scope.transferoutlists.length !== 0){
				for(var i in $scope.transferoutlists){
					if($scope.transferoutlists[i].checked){
						$scope.transferoutlists[i].transferType = "out";
						outlistsLength = outlistsLength + 1;
						checkedTransferList.push($scope.transferoutlists[i]);
					}
				}
			}
			for(var i in $scope.transferinlists){
				if($scope.transferinlists[i].checked){
					$scope.transferinlists[i].transferType = "in";
					inlistsLength = inlistsLength + 1;
					checkedTransferList.push($scope.transferinlists[i]);
				}
			}
			var transferListLength = outlistsLength + inlistsLength;
			commonServices.storage().set('PAYROLL_NAVNUM', transferListLength);
			commonServices.storage().set('PAYROLL_NAVNUMSELECTED',1);
			commonServices.storage().set('PAYROLL_SELECTEDLIST', checkedTransferList);

			var payment = $scope.groupInfo.PAY_CAN_BALANCE;
			// todo TO BE delete
			if(payrollOutService.checkPayment($scope.transferoutlists, $scope.transferinlists, payment, $scope.balanceShow)){
				$scope.showNotifyMsg1 = true;
				$scope.notifyMsg1 = Messages.PAYROLL_CONFIRM_ERROR_POPUP;
				utility.hideBusy();
				commonServices.showAlert("",
						$scope.notifyMsg1, [{
							text : Messages.YES,
							onTap : function(e) {
							}
						}]
					);
			}else{
				$scope.showNotifyMsg1 = false;
				$scope.notifyMsg1 = '';

				var firstAccountObj = utility.clone(commonServices.storage().get('PAYROLL_SELECTEDLIST')[0]);

				var item = {};
				if(firstAccountObj.transferType === 'out'){
					item.REGI_no = firstAccountObj.loginnum;
					item.accntIdx = $scope.groupInfo.pay_account_index1;
					item.value = firstAccountObj.price;

					utility.showBusy();
					payrollTransferService.reqTransferOutData(item,$scope).then(
						function(result) {
							utility.hideBusy();
							// commonServices.storage().set('PAYROLL_NEEDSHOWPOP79', true); // Defect 1924
							transferOutService.setNeedShowPop79(true);	// Defect 1924
							transferOutService.setShowPop_All(true);	// Defect 1924
							console.log('success');
							commonServices.storage().set('payrollData012', null);
                            if ($rootScope.currentTab == "tab.setting") {
                                $state.go('tab.setting-page-group-confirm-out');
                            } else {
                                $state.go('tab.page-group-confirm-out');
                            }
						},
						function(error) {
							utility.hideBusy();
							console.log('error');
						}
					);
				}else{
					//Defect 2118
					item.branchname = firstAccountObj.branchname;
					item.type = firstAccountObj.type;
					item.account_type_code = firstAccountObj.account_type_code;
					item.number = firstAccountObj.number;
					item.Branch = $scope.groupInfo.Branch;
					item.AccountName = $scope.groupInfo.AccountName;
					item.pay_account_type_code = $scope.groupInfo.pay_account_type_code;
					item.AccountNum = $scope.groupInfo.AccountNum;
					item.value = firstAccountObj.price;

					utility.showBusy();
					payrollTransferService.reqTransferInData(item,$scope).then(
						function(result) {
							utility.hideBusy();
							console.log('success');
							commonServices.storage().set('transferInDataR',null);
							if ($rootScope.currentTab == "tab.setting") {
                                $state.go('tab.setting-page-group-confirm-in');
                            } else {
                                $state.go('tab.page-group-confirm-in');
                            }
						},
						function(error) {
							utility.hideBusy();
							console.log('error');
						}
					);
				}
			}
		}
	}
})
