/* JavaScript content from payroll/js/controllers/payroll-in-controller.js in folder common */ 
smbcController.controller('PayrollInEditCtrl', function($rootScope,$scope, $state,commonServices,$stateParams,payrollOutService, $ionicViewSwitcher){
		utility.AdobeAnalytics("TFMFIN06","振替先・振替金額登録","screen_view");
		var groupId = "";
		if(utility.hasValue($stateParams.groupId)){
			var groupId = $stateParams.groupId;
		}

		var payRollOutFlag = commonServices.storage().get('payRollOutFlag');
		var temporaryO = {}
		var inPrice = commonServices.storage().get('inPrice');
		$scope.temporaryEditItem = {}

		//start 判断，如果从page-group-edit跳过来，做显示，如果从page-out-select跳过来，做显示
		if(payRollOutFlag == "updatePrice" ) {
			$scope.temporaryEditItem = commonServices.storage().get('temporaryOutEditItem');
			temporaryO.payeeInDetailPrice = utility.hasValue(inPrice)?inPrice:$scope.temporaryEditItem.price;
//			$scope.btnActiveFlag = false;

		}else{
//			$scope.btnActiveFlag = true;
			var tempList = commonServices.storage().get('PAYROLL_TRANSFERINLISTS');
			var tempItem = commonServices.storage().get('temporaryOutEditItem');
			if(utility.isNothing(tempList)){
				tempList = [];
			}
			if(tempList.length === 0){
				$scope.temporaryEditItem.idx = 1;
			}else if(payRollOutFlag == "updateBank" ){
				for(var i = 0; i < tempList.length; i++){
					if(tempList[i].idx === commonServices.storage().get('payRollOutIdx')){
						$scope.temporaryEditItem.idx = tempList[i].idx;
					}
				}
			}
			else{
				$scope.temporaryEditItem.idx = parseInt(tempList[tempList.length - 1].idx) + 1;
			}
			$scope.temporaryEditItem.id =  commonServices.storage().get('payRollOutId');
			$scope.temporaryEditItem.name = '振替先 00' + $scope.temporaryEditItem.idx;
			$scope.temporaryEditItem.branchname = tempItem.Branch;
			$scope.temporaryEditItem.type = tempItem.AccountName;
			$scope.temporaryEditItem.number = tempItem.AccountNum;

			$scope.temporaryEditItem.price = "";
			
			$scope.temporaryEditItem.ACCNT_BL_TYPE = tempItem.ACCNT_BL_TYPE;
			$scope.temporaryEditItem.ACCNT_HST_NUMBER = tempItem.ACCNT_HST_NUMBER;
			$scope.temporaryEditItem.BALANCE = tempItem.BALANCE;
			$scope.temporaryEditItem.Detail_index_ori = tempItem.Detail_index_ori;
			$scope.temporaryEditItem.JIKO_UMU = tempItem.JIKO_UMU;
			$scope.temporaryEditItem.OVER_DETAIL_FLG = tempItem.OVER_DETAIL_FLG;
			$scope.temporaryEditItem.PAY_CAN_BALANCE = tempItem.PAY_CAN_BALANCE;
			$scope.temporaryEditItem.Representative_Flag = tempItem.Representative_Flag;
			
			temporaryO.payeeInDetailPrice = utility.hasValue(inPrice)?inPrice:"";

		}
		//end

		$scope.o = temporaryO;
		if(utility.hasValue($scope.o.payeeInDetailPrice) && $scope.o.payeeOutDetailPrice != 0){
			$scope.btnActiveFlag = false;
		}else{
			$scope.btnActiveFlag = true;
		}


		$scope.braOnFocus = function(env) {
			var amount = $scope.o.payeeInDetailPrice;
			document.getElementById('payeeInInput').value = "";
			document.getElementById('payeeInInput').value = amount;
			//defect 1593
			//$scope.o.payeeInDetailPrice = "";
		}

		//$scope.braKeyUp = function(env){
		//	var c = document.getElementById('payeeInInput').value;;
		//	if(/[^\d]/.test(c)){//替换非数字字符
		//		var temp_amount=c.replace(/[^\d]/g,'');
		//		$scope.o.payeeInDetailPrice = temp_amount;
		//	}
		//}
		$scope.setBtnActiveFlag = function(){
			//var c = document.getElementById('payeeInInput').value;;
			//if(/[^\d]/.test(c)){//替换非数字字符
			//	var temp_amount=c.replace(/[^\d]/g,'');
			//	$scope.o.payeeInDetailPrice = temp_amount;
			//}
			commonServices.storage().set('inPrice',$scope.o.payeeInDetailPrice);
			if(utility.isNothing($scope.o.payeeInDetailPrice) || $scope.o.payeeInDetailPrice == 0 || document.getElementById('payeeInInput').value.length > 13)
			{
				$scope.btnActiveFlag = true;
			}else{
				$scope.btnActiveFlag = false;
			}
		};


		$scope.gotoOutSelect = function(){

				commonServices.storage().set('payRollOutId', $scope.temporaryEditItem.id);
				commonServices.storage().set('payRollOutIdx',  $scope.temporaryEditItem.idx);
				payrollOutService.setSelectedTab('1');
            	$ionicViewSwitcher.nextDirection('forward');
				if ($rootScope.currentTab == "tab.setting") {
            		$state.go('tab.setting-page-out-select', { groupId: groupId });
        		} else {
            		$state.go('tab.page-out-select', { groupId: groupId });
        		}
		}
		$scope.submitOutEdit = function(){
			if(commonServices.storage().get('payRollTypeChangeFlag') === true){
				var cloneEditItem = commonServices.storage().get('temporaryCloneEditItem');
				payrollOutService.deleteGroupItemFromMem(cloneEditItem,'1');
			}


			var newEditItem = $scope.temporaryEditItem;
			newEditItem.price = $scope.o.payeeInDetailPrice
			var tempTransferOutlists = [];
			if(utility.isNothing(commonServices.storage().get('PAYROLL_TRANSFERINLISTS')) || (commonServices.storage().get('PAYROLL_TRANSFERINLISTS').length === 0)){
				tempTransferOutlists = []
			}else{
				tempTransferOutlists = commonServices.storage().get('PAYROLL_TRANSFERINLISTS');
			}
			//if(payRollOutFlag === "createGroup" ) {
			//
			//}else{
			//
			//}

			if(payRollOutFlag !== "create" && payRollOutFlag !== "createGroup" ) {
				for (var i = 0; i < tempTransferOutlists.length; i++) {
					if (newEditItem.idx === tempTransferOutlists[i].idx) {


						if (payRollOutFlag === "updatePrice") {
							tempTransferOutlists[i].price = newEditItem.price;
						} else {

							tempTransferOutlists[i].price = newEditItem.price;
							tempTransferOutlists[i].id =  newEditItem.id;
							tempTransferOutlists[i].name = newEditItem.name;
							tempTransferOutlists[i].branchname = newEditItem.branchname;
							tempTransferOutlists[i].type = newEditItem.type;
							tempTransferOutlists[i].number = newEditItem.number;
							
							tempTransferOutlists[i].representative_flag = newEditItem.Representative_Flag;
							tempTransferOutlists[i].accnt_hst_number = newEditItem.ACCNT_HST_NUMBER;
							tempTransferOutlists[i].balance = newEditItem.BALANCE;
							tempTransferOutlists[i].over_detail_flg = newEditItem.OVER_DETAIL_FLG;
							tempTransferOutlists[i].can_balance = newEditItem.PAY_CAN_BALANCE;
							tempTransferOutlists[i].jiko_umu = newEditItem.JIKO_UMU;
							tempTransferOutlists[i].account_type_code = newEditItem.ACCNT_BL_TYPE;
							tempTransferOutlists[i].account_index1 = newEditItem.Detail_index_ori;
							tempTransferOutlists[i].showerrorflag = false;
							
						}

					}
				}
			}else{
				var obj = {};
				if(tempTransferOutlists.length === 0){
					obj.id = "";
					obj.idx = 1;
					obj.account_index = null;
					obj.account_index1 = null;
					obj.account_type_code = null;
				}else{
					obj.id =  parseInt(tempTransferOutlists[tempTransferOutlists.length - 1].id) + 1;
					obj.idx = parseInt(tempTransferOutlists[tempTransferOutlists.length - 1].idx) + 1;
					obj.account_index = tempTransferOutlists[tempTransferOutlists.length - 1].account_index;
					obj.account_index1 = tempTransferOutlists[tempTransferOutlists.length - 1].account_index1;
					obj.account_type_code = tempTransferOutlists[tempTransferOutlists.length - 1].account_type_code;
				}


				obj.price = newEditItem.price;
				obj.name = newEditItem.name;
				obj.branchname = newEditItem.branchname;
				obj.type = newEditItem.type;
				obj.number = newEditItem.number;
				
				obj.representative_flag = newEditItem.Representative_Flag;
				obj.accnt_hst_number = newEditItem.ACCNT_HST_NUMBER;
				obj.balance = newEditItem.BALANCE;
				obj.over_detail_flg = newEditItem.OVER_DETAIL_FLG;
				obj.can_balance = newEditItem.PAY_CAN_BALANCE;
				obj.jiko_umu = newEditItem.JIKO_UMU;
				obj.account_type_code = newEditItem.ACCNT_BL_TYPE;
				obj.account_index1 = newEditItem.Detail_index_ori;
				obj.showerrorflag = false;

				tempTransferOutlists.push(obj);
			}

			commonServices.storage().set('PAYROLL_TRANSFERINLISTS', tempTransferOutlists);
			commonServices.storage().remove('temporaryCloneEditItem');
			commonServices.storage().remove('payRollTypeFlag');
			commonServices.storage().remove('payRollTypeChangeFlag');
			commonServices.storage().remove('payRollOutFlag');
			commonServices.storage().remove('temporaryOutEditItem');
			if(groupId === ""){
				if ($rootScope.currentTab == "tab.setting") {
                	$state.go('tab.setting-page-group-edit');
            	} else {
                	$state.go('tab.page-group-edit');
            	}
			}else{
            	if ($rootScope.currentTab == "tab.setting") {
                	$state.go('tab.setting-page-group-edit', { groupId: groupId });
            	} else {
                	$state.go('tab.page-group-edit', { groupId: groupId });
            	}
			}

		}

	})

	.controller('bodyCtrl', function($scope) {
		$scope.isAndroid442 = utility.isAndroid442();
		$scope.isAndroid41Or42 = utility.isAndroid41() || utility.isAndroid42();
	})



	.controller('PayrollOutEditCtrl', function($rootScope,$scope, $state,$ionicHistory,commonServices,$stateParams, payrollOutService, $ionicViewSwitcher){
		//var payRollTypeChangeFlag = commonServices.storage().get('payRollTypeChangeFlag');
		utility.AdobeAnalytics("TFMFIN05","振込先・振込金額登録","screen_view");
		var groupId = "";
		if(utility.hasValue($stateParams.groupId)){
			var groupId = $stateParams.groupId;
		}

		var payRollOutFlag = commonServices.storage().get('payRollOutFlag');
		var temporaryO = {}
		var outPrice = commonServices.storage().get('outPrice');
		$scope.temporaryEditItem = {}
		var payRollOutList = commonServices.storage().get('PAYROLL_TRANSFEROUTLISTS');


		//start 判断，如果从page-group-edit跳过来，做显示，如果从page-out-select跳过来，做显示
		if(payRollOutFlag == "updatePrice" ) {
			$scope.temporaryEditItem = commonServices.storage().get('temporaryOutEditItem');
			temporaryO.payeeOutDetailPrice = utility.hasValue(outPrice)? outPrice : $scope.temporaryEditItem.price;
//			$scope.btnActiveFlag = false;

		}else{
			var tempItem = commonServices.storage().get('temporaryOutEditItem');
			$scope.temporaryEditItem.name = tempItem.nickname;
			$scope.temporaryEditItem.branch = tempItem.Branch_name;
			$scope.temporaryEditItem.type = tempItem.Account_type;
			$scope.temporaryEditItem.number = tempItem.Account_no;
			$scope.temporaryEditItem.logintype = "登録番号";
			$scope.temporaryEditItem.loginnum = tempItem.REGI_no;
			$scope.temporaryEditItem.id = commonServices.storage().get('payRollOutId');
			if(payRollOutFlag == "create" || payRollOutFlag == "createGroup"){
				if(utility.isNothing(payRollOutList) || payRollOutList.length === 0){
					$scope.temporaryEditItem.idx = 1;
				}else{
					$scope.temporaryEditItem.idx = payRollOutList.length + 1;
				}

			}else{
				$scope.temporaryEditItem.idx = commonServices.storage().get('payRollOutIdx');
			}

			$scope.temporaryEditItem.bank = tempItem.Bank_name;
			$scope.temporaryEditItem.bank_code = tempItem.Bank_code;
			$scope.temporaryEditItem.branch_code = tempItem.Branch_code;
			$scope.temporaryEditItem.account_name = tempItem.Account_name;

			$scope.temporaryEditItem.price = "";
			
			$scope.temporaryEditItem.ACCNT_BL_TYPE = tempItem.ACCNT_BL_TYPE;
			$scope.temporaryEditItem.ACCNT_HST_NUMBER = tempItem.ACCNT_HST_NUMBER;
			$scope.temporaryEditItem.BALANCE = tempItem.BALANCE;
			$scope.temporaryEditItem.Detail_index_ori = tempItem.Detail_index_ori;
			$scope.temporaryEditItem.JIKO_UMU = tempItem.JIKO_UMU;
			$scope.temporaryEditItem.OVER_DETAIL_FLG = tempItem.OVER_DETAIL_FLG;
			$scope.temporaryEditItem.PAY_CAN_BALANCE = tempItem.PAY_CAN_BALANCE;
			$scope.temporaryEditItem.Representative_Flag = tempItem.Representative_Flag;
			
			temporaryO.payeeOutDetailPrice = utility.hasValue(outPrice)? outPrice : "";
//			$scope.btnActiveFlag = true;

		}
		//end

		$scope.o = temporaryO;
		if(utility.hasValue($scope.o.payeeOutDetailPrice) && $scope.o.payeeOutDetailPrice != 0){
			$scope.btnActiveFlag = false;
		}else{
			$scope.btnActiveFlag = true;
		}

		if(utility.isNothing($scope.temporaryEditItem.name)){
			$scope.temporaryEditItemName = false;
		}else{
			$scope.temporaryEditItemName = true;
		}


		$scope.braOnFocus = function(env) {
			var amount = $scope.o.payeeOutDetailPrice;
			document.getElementById('payeeOutInput').value = "";
			document.getElementById('payeeOutInput').value = amount;
			//defect 1593
			//$scope.o.payeeOutDetailPrice = "";
		}
		//$scope.braKeyUp = function(env){
		//	var c = document.getElementById('payeeOutInput').value;;
		//	if(/[^\d]/.test(c)){//替换非数字字符
		//		var temp_amount=c.replace(/[^\d]/g,'');
		//		$scope.o.payeeOutDetailPrice = temp_amount;
		//	}
		//}
		$scope.setBtnActiveFlag = function(){
			//var c = document.getElementById('payeeOutInput').value;;
			//if(/[^\d]/.test(c)){//替换非数字字符
			//	var temp_amount=c.replace(/[^\d]/g,'');
			//	$scope.o.payeeOutDetailPrice = temp_amount;
			//}
			commonServices.storage().set('outPrice',$scope.o.payeeOutDetailPrice);
			if(utility.isNothing($scope.o.payeeOutDetailPrice)  || $scope.o.payeeOutDetailPrice == 0 || document.getElementById('payeeOutInput').value.length > 13)
			{
				$scope.btnActiveFlag = true;
			}else{
				$scope.btnActiveFlag = false;
			}
		};



		$scope.gotoOutSelect = function(){
			payrollOutService.setSearchFlag(true); //Defect 2303
			commonServices.storage().set('payRollOutId', $scope.temporaryEditItem.id);
			commonServices.storage().set('payRollOutIdx',  $scope.temporaryEditItem.idx);
			payrollOutService.setSelectedTab('0');
            $ionicViewSwitcher.nextDirection('forward');
			if ($rootScope.currentTab == "tab.setting") {
                $state.go('tab.setting-page-out-select', { groupId: groupId });
            } else {
                $state.go('tab.page-out-select', { groupId: groupId });
            }
		}
		$scope.submitOutEdit = function(){
			if(commonServices.storage().get('payRollTypeChangeFlag') === true){
				var cloneEditItem = commonServices.storage().get('temporaryCloneEditItem');
				payrollOutService.deleteGroupItemFromMem(cloneEditItem,'2');
			}

			var newEditItem = $scope.temporaryEditItem;
			newEditItem.price = $scope.o.payeeOutDetailPrice
			var tempTransferOutlists = [];
			if(utility.isNothing(commonServices.storage().get('PAYROLL_TRANSFEROUTLISTS')) || (commonServices.storage().get('PAYROLL_TRANSFEROUTLISTS').length === 0)){
				tempTransferOutlists = []
			}else{
				tempTransferOutlists = commonServices.storage().get('PAYROLL_TRANSFEROUTLISTS');
			}
			//if(payRollOutFlag === "createGroup" ) {
			//
			//}else{
			//
			//}

			if(payRollOutFlag !== "create" && payRollOutFlag !== "createGroup" ) {
				for (var i = 0; i < tempTransferOutlists.length; i++) {
					if (newEditItem.idx === tempTransferOutlists[i].idx) {


						if (payRollOutFlag === "updatePrice") {
							tempTransferOutlists[i].price = newEditItem.price;
						} else {
							tempTransferOutlists[i].price = newEditItem.price;
							tempTransferOutlists[i].account_name = newEditItem.account_name;
							tempTransferOutlists[i].number = newEditItem.number;
							tempTransferOutlists[i].type = newEditItem.type;
							tempTransferOutlists[i].bank_code = newEditItem.bank_code;
							tempTransferOutlists[i].bank = newEditItem.bank;
							tempTransferOutlists[i].branch_code = newEditItem.branch_code;
							tempTransferOutlists[i].branch = newEditItem.branch;
							tempTransferOutlists[i].loginnum = newEditItem.loginnum;
							
							tempTransferOutlists[i].representative_flag = newEditItem.Representative_Flag;
							tempTransferOutlists[i].accnt_hst_number = newEditItem.ACCNT_HST_NUMBER;
							tempTransferOutlists[i].balance = newEditItem.BALANCE;
							tempTransferOutlists[i].over_detail_flg = newEditItem.OVER_DETAIL_FLG;
							tempTransferOutlists[i].can_balance = newEditItem.PAY_CAN_BALANCE;
							tempTransferOutlists[i].jiko_umu = newEditItem.JIKO_UMU;
							tempTransferOutlists[i].account_type_code = newEditItem.ACCNT_BL_TYPE;
							tempTransferOutlists[i].account_index1 = newEditItem.Detail_index_ori;
							tempTransferOutlists[i].showerrorflag = false;
						}

					}
				}
			}else{
				var obj = {};
				if(tempTransferOutlists.length === 0){
					obj.id = 1;
					obj.idx = 1;
					obj.account_index = null;
					obj.account_type_code = null;
				}else{
					obj.id = parseInt(tempTransferOutlists[tempTransferOutlists.length - 1].idx) + 1;
					obj.idx = parseInt(tempTransferOutlists[tempTransferOutlists.length - 1].idx) + 1;
					obj.account_index = tempTransferOutlists[tempTransferOutlists.length - 1].account_index;
					obj.account_type_code = tempTransferOutlists[tempTransferOutlists.length - 1].account_type_code;
				}

				obj.price = newEditItem.price;
				obj.name = newEditItem.name;
				obj.bank = newEditItem.bank;
				obj.branch = newEditItem.branch;
				obj.type = newEditItem.type;
				obj.number = newEditItem.number;
				obj.logintype = "登録番号";
				obj.loginnum = newEditItem.loginnum;
				obj.bank_code = newEditItem.bank_code;
				obj.branch_code = newEditItem.branch_code;
				obj.account_name = newEditItem.account_name;
				
				obj.representative_flag = newEditItem.Representative_Flag;
				obj.accnt_hst_number = newEditItem.ACCNT_HST_NUMBER;
				obj.balance = newEditItem.BALANCE;
				obj.over_detail_flg = newEditItem.OVER_DETAIL_FLG;
				obj.can_balance = newEditItem.PAY_CAN_BALANCE;
				obj.jiko_umu = newEditItem.JIKO_UMU;
				obj.account_type_code = newEditItem.ACCNT_BL_TYPE;
				obj.account_index1 = newEditItem.Detail_index_ori;
				obj.showerrorflag = false;

				tempTransferOutlists.push(obj);
			}

			commonServices.storage().set('PAYROLL_TRANSFEROUTLISTS', tempTransferOutlists);
			commonServices.storage().remove('temporaryCloneEditItem');
			commonServices.storage().remove('payRollTypeFlag');
			commonServices.storage().remove('payRollTypeChangeFlag');
			commonServices.storage().remove('payRollOutFlag');
			commonServices.storage().remove('temporaryOutEditItem');
			if(groupId === ""){
				if(utility.isAndroid44()){
					setTimeout(function(){
						if ($rootScope.currentTab == "tab.setting") {
                            $state.go('tab.setting-page-group-edit');
                        } else {
                            $state.go('tab.page-group-edit');
                        }
					},500)
				}else{
					if ($rootScope.currentTab == "tab.setting") {
                        $state.go('tab.setting-page-group-edit');
                    } else {
                        $state.go('tab.page-group-edit');
                    }
				}
			}else{
				if(utility.isAndroid44()){
					setTimeout(function(){
                        if ($rootScope.currentTab == "tab.setting") {
                            $state.go('tab.setting-page-group-edit', { groupId: groupId });
                        } else {
                            $state.go('tab.page-group-edit', { groupId: groupId });
                        }
					},500)
				}else{
                    if ($rootScope.currentTab == "tab.setting") {
                        $state.go('tab.setting-page-group-edit', { groupId: groupId });
                    } else {
                        $state.go('tab.page-group-edit', { groupId: groupId });
                    }
				}

			}

		}

	})
	.controller('PayAccountEditCtrl', function($rootScope,$scope, $state,$stateParams,$ionicHistory,commonServices, payrollTransferService,transferOutService) {
		utility.AdobeAnalytics("TFMFIN07","出金口座の変更","screen_view");
		$scope.showcheckbox=true;
		var groupId = "";
		if(utility.hasValue($stateParams.groupId)){
			groupId = $stateParams.groupId;
		}
		$scope.groupInfo = {};
		$scope.outlists =[];
		var lists = utility.clone(commonServices.storage().get('PAYROLL_MIA7880_PAYACCOUNT_LIST'));
		//var outlistlength = commonServices.storage().get('transferInFrom7880').data.ACCNT_BL_NUMBER;
		for(var i in lists){
			if(lists[i].ACCNT_BL_TYPE == "2101" || lists[i].ACCNT_BL_TYPE == "2208"){
				$scope.cardflag=true;
			}
		}
		//if(outlistlength==1){
		//	$scope.showcheckbox=false;
		//	$scope.groupInfo = commonServices.storage().get('PAYROLL_GROUPINFO');
		//	if(utility.isNothing($scope.groupInfo)){
		//		$scope.groupInfo = {};
		//	}
		//	var groupInfo2={};
		//	groupInfo2.groupId = $scope.groupInfo.groupId;
		//	groupInfo2.groupName = $scope.groupInfo.groupName;
		//	groupInfo2.Branch = lists[0].Branch;
		//	groupInfo2.AccountName = lists[0].AccountName;
		//	groupInfo2.AccountNum = lists[0].AccountNum;
		//	$scope.groupInfo=groupInfo2;
		//	commonServices.storage().set('PAYROLL_GROUPINFO', $scope.groupInfo);
        //
		//}
		var setRadioCheck = function(lists,groupInfo){
			var unChecked = true;
			for (var i in lists) {
				var AccountNum = lists[i].AccountNum;
				if (groupInfo.AccountNum == AccountNum) {
					lists[i].checked = true;
					unChecked = false;
					break;
				} else {
					lists[i].checked = false;
				}

			}
			if(unChecked){
				groupInfo.AccountNum = null;
				groupInfo.pay_account_index = null;
				groupInfo.pay_account_index1 = null;
				groupInfo.Branch = null;
				groupInfo.AccountName = null;
				groupInfo.pay_account_type_code = null;
			}
		}
		if(lists.length === 1){
			$scope.readonly=false;
		}else{
			$scope.readonly=true;
		}
		if(utility.hasValue(commonServices.storage().get('PAYROLL_GROUPINFO_TEMP'))){
			$scope.groupInfo = commonServices.storage().get('PAYROLL_GROUPINFO_TEMP');
		}else{
			$scope.groupInfo = commonServices.storage().get('PAYROLL_GROUPINFO');
		}


		setRadioCheck(lists,$scope.groupInfo);
		$scope.outlists=lists;



		$scope.selectOut=function(data){
			var groupInfo1={};

			groupInfo1.AccountName = data.AccountName;
			groupInfo1.AccountNum = data.AccountNum;
			groupInfo1.BALANCE = data.BALANCE;
			groupInfo1.Branch = data.Branch;
			groupInfo1.PAY_CAN_BALANCE = $scope.groupInfo.PAY_CAN_BALANCE;
			groupInfo1.groupId = $scope.groupInfo.groupId;
			groupInfo1.groupName = $scope.groupInfo.groupName;
			groupInfo1.pay_account_index = null;
			groupInfo1.pay_account_index1 = data.Detail_index_ori;
			groupInfo1.pay_account_type_code = data.ACCNT_BL_TYPE;


			$scope.groupInfo=groupInfo1;

			commonServices.storage().set('PAYROLL_GROUPINFO_TEMP',$scope.groupInfo);
		}


		$scope.submitUpdate = function(){
			utility.showBusy();
			commonServices.storage().set('PAYROLL_GROUPINFO', $scope.groupInfo);
			commonServices.storage().remove('PAYROLL_GROUPINFO_TEMP');
				
			var PAYROLL_TRANSFEROUTLISTS = commonServices.storage().get('PAYROLL_TRANSFEROUTLISTS');
			var PAYROLL_TRANSFERINLISTS = commonServices.storage().get('PAYROLL_TRANSFERINLISTS');
        	var isNeed7480 = 0;
        	// only transfer in
        	if((utility.isNothing(PAYROLL_TRANSFEROUTLISTS) || PAYROLL_TRANSFEROUTLISTS.length == 0) &&
        			(utility.hasValue(PAYROLL_TRANSFERINLISTS) && PAYROLL_TRANSFERINLISTS.length > 0)){
        		isNeed7480 = 0;
        	}
        	// only transfer out
        	else if((utility.isNothing(PAYROLL_TRANSFERINLISTS) || PAYROLL_TRANSFERINLISTS.length == 0) &&
        			(utility.hasValue(PAYROLL_TRANSFEROUTLISTS) && PAYROLL_TRANSFEROUTLISTS.length > 0)){
        		isNeed7480 = 1;
        	}
        	// in & out
        	else{
        		isNeed7480 = 2;
        	}
        	var item = new Object();
        	item.pay_account_index1 = $scope.groupInfo.pay_account_index1;
        	payrollTransferService.confirmToTransfer(isNeed7480,$scope,item,PAYROLL_TRANSFEROUTLISTS).then(
				function(result){
					utility.hideBusy();
					console.log('Transfer back to confirm succss');
					if ($rootScope.currentTab == "tab.setting") {
                        $state.go('tab.setting-page-group-confirm', { groupId: groupId });
                    } else {
                        $state.go('tab.page-group-confirm', { groupId: groupId });
                    }
				},
				function(error){
					utility.hideBusy();
					console.log('Transfer back to confirm error' + error);
				}
			);
		}
	})
