/* JavaScript content from payroll/js/controllers/payroll-out-select-controller.js in folder common */ 
/**
 * Created by harry on 11/9/16.
 */

smbcController.controller('PayrollOutSelectCtrl', function($rootScope, $scope, $state, $ionicHistory, $ionicScrollDelegate, userService, commonServices,transferOutRequestService, $stateParams, payrollOutService, stagingService) {
    utility.AdobeAnalytics("TFMFIN04","振込・振替先選択","screen_view");
    //24365, BCM-154, Start
    $scope.showMessageflag = !stagingService.isEnabled("checking_extension");
    //24365, BCM-154, End.

	// adaptation begin
	$scope.isAndroid442 = utility.isAndroid442();

    var scrollWidth = (document.documentElement.scrollWidth||document.body.scrollWidth);
    var filterDivWidth = scrollWidth-(scrollWidth*0.053)-4-(scrollWidth*0.053);
    var clearBtnWidth = filterDivWidth*0.21;
    var inputWidth = filterDivWidth-clearBtnWidth-25-20+"px"
    $scope.inputWidthOne = {
        "width":inputWidth
    };

	//back from back-end (after pincode page)
	$scope.tabSelectedIndex = payrollOutService.getSelectedTab();

	var groupId = "";
	if(utility.hasValue($stateParams.groupId)){
		var groupId = $stateParams.groupId;
	}
	// Process 振込口座/振替口座 = 0 state
	function ProcessEmpty (execStr, flag) {
		eval(execStr);
		payrollOutService.setSelectedTab(flag);
		$scope.tabSelectedIndex = payrollOutService.getSelectedTab();
	}

	// Loading 振込口座 data begin
	var dataForMIA7480 = commonServices.storage().get('transferOutFrom7480');
	var transferFlag;
	console.log("dataForMIA7480: ", dataForMIA7480 );
	if(!utility.isNothing(dataForMIA7480)){
		var dataForMIA7480_data = dataForMIA7480.data;
		if(!utility.isEmptyObject(dataForMIA7480_data)){
			var list = dataForMIA7480_data.REGI_ACCNT_INF_SIA;
			var transferFlag;  // 振替口座 = 0

			if(!utility.isEmptyObject(list)){
				userService.mergePayeeList(list).then(function(result){
					// Initiate Values
					payrollOutService.setMIA7480(result);
					payrollOutService.resetMIA7480Array();
					payrollOutService.sortByItem($scope.sortObj.sortKey);
					payrollOutService.setMIA7480(payrollOutService.getSortMIA7480Array());
					$scope.dataForMIA7480 = payrollOutService.getSortMIA7480Array();
				});

			}else {
				ProcessEmpty('transferFlag = true','1');
			}
		}else{
			ProcessEmpty('transferFlag = true','1');
		}
	}else{
		ProcessEmpty('transferFlag = true','1');
	}
	// Loading 振込口座 data end

	// Loading 振込口座 data begin
	var res = commonServices.storage().get("transferInFrom7880");
	// var res = null; // used for test
	var remitFlag;
	if(!utility.isNothing(res)){
		var list = res.data.ACCNT_BL_INF;
		if(!utility.isEmptyObject(list) && utility.JSONLength(list) != 1) {
			for(var i in list){
				var typeCode = list[i].ACCNT_BL_TYPE;
				list[i].type_icon = CONSTS.DIRECT_API.ACCOUNT_MAPPING_KEYS[typeCode].icon;
				list[i].sourcestate = -1;
			}
			$scope.list = list;
		}else{
			ProcessEmpty('remitFlag = true','0');
		}
	}else{
		ProcessEmpty('remitFlag = true','0');
	}
	// Loading 振込口座 data end

	$scope.repAccountExtenedFlag = payrollOutService.getSearchFlag();

	// <<<<<<<<<<<<< Search function begin >>>>>>>>>>>>>
	$scope.searchObj = {};
	payrollOutService.setSortValue('REGI_no_ASC');
	$scope.sortObj = {};
	$scope.sortObj.sortKey = payrollOutService.getSortValue();

	if(utility.hasValue($scope.searchObj.searchArea)){
		payrollOutService.filterNickAndAccount($scope.searchObj.searchArea);
		payrollOutService.sortByItem($scope.sortObj.sortKey);
		$scope.List = payrollOutService.getSortMIA7480Array();
	}

	$scope.clearSearchArea = function(){
		$scope.searchObj.searchArea="";
		//use $watch to refresh data.
	};
	$scope.searchStr = function(str){
		if(utility.isNothing(str)){
			return;
		}
		payrollOutService.filterNickAndAccount(str);
		payrollOutService.sortByItem($scope.sortObj.sortKey);
		var tmparray = payrollOutService.getSortMIA7480Array();
		$scope.dataForMIA7480 = tmparray;

		if( utility.isNothing(tmparray) || tmparray.length===0){
			console.log("+++++++++searchStr");
			commonServices.showAlert("", Messages.TRANSFER__OUT_SEARCH_NONE_MESSAGE,
				[{
					text : Messages.YES,
					onTap : function(e) {
						$scope.searchObj.searchArea="";
					}
				}]);
		}
		//defect 1595
		$ionicScrollDelegate.resize();
	};
	$scope.$watch('searchObj.searchArea', function(){
		if($scope.searchObj.searchArea === "" ){
			payrollOutService.resetMIA7480Array();
			payrollOutService.sortByItem($scope.sortObj.sortKey);
			$scope.dataForMIA7480 = payrollOutService.getSortMIA7480Array();
			//defect 1595
			$ionicScrollDelegate.resize();
		}
	});

	$scope.changeSortItem = function(){
		console.log($scope.sortObj.sortKey);
		payrollOutService.setSortValue($scope.sortObj.sortKey)
		payrollOutService.sortByItem($scope.sortObj.sortKey);
		$scope.dataForMIA7480 = payrollOutService.getSortMIA7480Array();
	}
// <<<<<<<<<<<<< Search function end >>>>>>>>>>>>>

	
	$scope.toggleAccountDetail = function(){
		payrollOutService.setSearchFlag(!payrollOutService.getSearchFlag());
		$scope.repAccountExtenedFlag = payrollOutService.getSearchFlag();
		$ionicScrollDelegate.resize();
	};

	$scope.selectTab = function(tabSelectedIndex){
		// show popup when 振込先口座数 = 0
		if(tabSelectedIndex === '0' && transferFlag){
			commonServices.showAlert("", Messages.PAYROLL_Transferout_Select_TransferEmpty, [{
				// text: Messages.OK,
				text: Messages.YES,
				onTap: function(e) {
				}
			}], $rootScope);
			payrollOutService.setSelectedTab('1');
			$scope.tabSelectedIndex = payrollOutService.getSelectedTab();
		}else if(tabSelectedIndex === '1' && remitFlag){
			commonServices.showAlert("", Messages.PAYROLL_Transferout_Select_RemitEmpty, [{
				// text: Messages.OK,
				text: Messages.YES,
				onTap: function(e) {
				}
			}], $rootScope);
			payrollOutService.setSelectedTab('0');
			$scope.tabSelectedIndex = payrollOutService.getSelectedTab();
		}else{
			payrollOutService.setSelectedTab(tabSelectedIndex);
			$scope.tabSelectedIndex = payrollOutService.getSelectedTab();
		}
		$ionicScrollDelegate.resize();
	};

	$scope.goToPayrollOutEdit = function(item){
		if(commonServices.storage().get('payRollTypeFlag') ===  "in")
		{
			commonServices.storage().set('payRollTypeChangeFlag', true);
			commonServices.storage().set('payRollOutFlag', "create");

		}else{
			commonServices.storage().set('payRollTypeChangeFlag', false);
		}

		if(commonServices.storage().get('payRollOutFlag') === "create" || commonServices.storage().get('payRollOutFlag') === "createGroup"){

		}else{
			commonServices.storage().set('payRollOutFlag', "updateBank");
		}
		commonServices.storage().set('temporaryOutEditItem', item);
		commonServices.storage().set('outPrice',null);
		if(groupId === ""){
			if ($rootScope.currentTab == "tab.setting") {
                $state.go('tab.setting-page-group-out-edit1');
            } else {
                $state.go('tab.page-group-out-edit1');
            }
		}else{
            if ($rootScope.currentTab == "tab.setting") {
                $state.go('tab.setting-page-group-out-edit1', { groupId: groupId });
            } else {
                $state.go('tab.page-group-out-edit1', { groupId: groupId });
            }
        }
	}

	$scope.goToPayrollInEdit = function(item){
		if(commonServices.storage().get('payRollTypeFlag') ===  "out")
		{
			commonServices.storage().set('payRollTypeChangeFlag', true);
			commonServices.storage().set('payRollOutFlag', "create");

		}else{
			commonServices.storage().set('payRollTypeChangeFlag', false);
		}

		if(commonServices.storage().get('payRollOutFlag') === "create" || commonServices.storage().get('payRollOutFlag') === "createGroup"){

		}else{
			commonServices.storage().set('payRollOutFlag', "updateBank");
		}
		commonServices.storage().set('temporaryOutEditItem', item);
		commonServices.storage().set('inPrice',null);
		if(groupId === ""){
            if ($rootScope.currentTab == "tab.setting") {
                $state.go('tab.setting-page-group-in-edit1');
            } else {
                $state.go('tab.page-group-in-edit1');
            }
		}else{
            if ($rootScope.currentTab == "tab.setting") {
                $state.go('tab.setting-page-group-in-edit1', { groupId: groupId });
            } else {
                $state.go('tab.page-group-in-edit1', { groupId: groupId });
            }
        }

	}

	// 振込口座一覧 End

})
