/* JavaScript content from payroll/js/dao/payroll-out-dao.js in folder common */ 
smbcService.factory('payrollOutDao',function($q,commonServices){
	
//	var _queryAllGroups = function() {
//		var deferred = $q.defer();
//		
//		var selectSql = "select primaryKey, group_id, user_id, group_name, pay_account_index, pay_account_index1, pay_branch_name, pay_account_type, " +
//				"pay_account_type_code, pay_account_no from payroll_group where user_id ='" + commonServices.getLoginData().USRID + "'";
//		db.executeSql(selectSql, [], function(result) {
//			console.log(result);
//			deferred.resolve(result);
//		}, function(result) {
//			console.log(result);
//			commonServices.quitApp();
//		});
//		
//		return deferred.promise;
//	};
	var genGroupIndex = function(resultList,groupId){
		var back1 = 1;
		var len = resultList.rows.length;
		if(len < 1){
			return back1;
		}
		
		for(var i = 0; i < len; i++){
			item = resultList.rows.item(i);
			if(groupId == item.primaryKey){
				back1 = item.back1;
				return back1;
			}
		}
		
		if(resultList.rows.item(len - 1).back1 * 1 < 99){
			back1 = (resultList.rows.item(len - 1).back1 * 1) + 1;
			return back1;
		}
		
		var pre = 0;
		var item = null;
		for(var i = 0; i < len; i++){
			item = resultList.rows.item(i);
			if((resultList.rows.item(i).back1 * 1) - 1 > pre){
				back1 = pre + 1;
				break;
			}
			pre = resultList.rows.item(i).back1 * 1;
		}
		return back1;
	};
	return {
		queryAllGroups : function() {
			var deferred = $q.defer();
			
			// TODO
			var selectSql = "select primaryKey, group_id, user_id, group_name, pay_account_index, pay_account_index1, pay_branch_name, pay_account_type, " +
					"pay_account_type_code, pay_account_no, back1, back2, back3, back4 from payroll_group where user_id ='" + commonServices.getLoginData().USRID + "' order by primaryKey asc";
//			var selectSql = "select primaryKey, group_id, user_id, group_name, pay_account_index, pay_account_index1, pay_branch_name, pay_account_type, " +
//			"pay_account_type_code, pay_account_no from payroll_group order by primaryKey desc";
			db.executeSql(selectSql, [], function(result) {
				console.log(result);
				deferred.resolve(result);
			}, function(result) {
				console.log(result);
				commonServices.quitApp();
			});
			
			return deferred.promise;
		},
		queryGroupsById : function(groupId) {
			var deferred = $q.defer();
			
			var selectSql = "select user_id, group_name, pay_account_index, pay_account_index1, pay_branch_name, pay_account_type, pay_account_type_code, pay_account_no,value," +
					"b.primaryKey detail_id, b.group_id group_id, type_flg, idx, nickName, account_index, account_index1, record_no, bank_code, bank_name, branch_code, branch_name, account_type_code, account_type, account_no, account_name, " +
					'pay_over_detail_flg,pay_can_balance,pay_representative_flag,pay_accnt_hst_number,pay_balance,pay_jiko_umu,back1,back2,back3,back4,detail_back1,detail_back2,detail_back3,detail_back4,representative_flag,accnt_hst_number,balance,over_detail_flg,can_balance,jiko_umu ' + 
					"from payroll_group a inner join  payroll_group_detail b on b.group_id = a.primaryKey where a.primaryKey ='" + groupId + "'  order by b.type_flg,b.idx asc";
			db.executeSql(selectSql, [], function(result) {
				console.log(result);
				deferred.resolve(result);
			}, function(result) {
				console.log(result);
				commonServices.quitApp();
			});
			
			return deferred.promise;
		},
		checkGroupName : function(groupName,groupId) {
			var deferred = $q.defer();
			
			var selectSql = "select count(1) cnt from payroll_group where user_id = ? and group_name = ?";
			if(utility.hasValue(groupId)){
				selectSql += " and primaryKey != '" + groupId + "'";
			}
			db.executeSql(selectSql, [commonServices.getLoginData().USRID,groupName], function(result) {
				console.log(result);
				deferred.resolve(result);
			}, function(result) {
				console.log(result);
				commonServices.quitApp();
			});
			
			return deferred.promise;
		},
		deleteGroupById : function(groupId){
			var deferred = $q.defer();
			
			db.transaction(
				function(tx) {
					// delete group
					var deleteGroupSql = "delete from payroll_group where primaryKey = ?";
					tx.executeSql(deleteGroupSql, [groupId], function(tx, result1) {
						console.log('deleteGroup success' + result1);
						// delete group detail
						var deleteDetailSql = "delete from payroll_group_detail where group_id = ?";
						tx.executeSql(deleteDetailSql, [groupId], function(tx, result1) {
							console.log('deleteDetail success' + result1);
		                }, function(error) {
		                	console.log('deleteDetail ERROR' + error);
		                });
	                }, function(error) {
	                	console.log('deleteGroup ERROR' + error);
	                });
				},
				function(err) {
					deferred.reject({
                        "Code": 1,
                        "Message": "delete group SUCCEED" + err
                    });
				},
				function(result) {
					deferred.resolve({
                        "Code": 0,
                        "Message": "delete group SUCCEED" + result
                    });
				}
			)
			return deferred.promise;
		},
		createOrUpdateGroup : function(transferoutlists,transferinlists,groupInfo) {
			var deferred = $q.defer();
			
			db.transaction(
				function(tx) {
					// insert or update group
					tx.executeSql(SQL.Group_getCnt, [commonServices.getLoginData().USRID], function(tx, result1) {
						var groupName = groupInfo.groupName;
						var back1 = genGroupIndex(result1,groupInfo.groupId);
//						var num =result1.rows.item(0).cnt + 1;
						var excSql = SQL.Group_insert;
//						if(utility.isNothing(groupName)){
//							groupName = 'グループ' + num;
//						}
						var group_data = [];
						if(utility.isNothing(groupInfo.groupId)){
							// primaryKey
							group_data.push(null);
						}
						// group_id
						group_data.push(null);
						// user_id
						group_data.push(commonServices.getLoginData().USRID);
						// group_name
						group_data.push(groupName);
						// pay_account_index
						group_data.push(groupInfo.pay_account_index);
						// pay_account_index1
						group_data.push(groupInfo.pay_account_index1);
						// pay_branch_name
						group_data.push(groupInfo.Branch);
						// pay_account_type
						group_data.push(groupInfo.AccountName);
						// pay_account_type_code
						group_data.push(groupInfo.pay_account_type_code);
						// pay_account_no
						group_data.push(groupInfo.AccountNum);
						
						// pay_over_detail_flg
						group_data.push(groupInfo.OVER_DETAIL_FLG);
						// pay_can_balance
						group_data.push(groupInfo.PAY_CAN_BALANCE);
						// pay_representative_flag
						group_data.push(groupInfo.Representative_Flag);
						// pay_accnt_hst_number
						group_data.push(groupInfo.ACCNT_HST_NUMBER);
						// pay_balance
						group_data.push(groupInfo.BALANCE);
						// pay_jiko_umu
						group_data.push(groupInfo.JIKO_UMU);
						
						// back1
						group_data.push(back1);
						// back2
						group_data.push(null);
						// back3
						group_data.push(null);
						// back4
						group_data.push(null);
						if(utility.hasValue(groupInfo.groupId)){
							// primaryKey
							group_data.push(groupInfo.groupId);
							excSql = SQL.Group_update;
						}
						
						// insert or update group
						tx.executeSql(excSql, group_data, function(tx, result2) {
							var newGroupId = groupInfo.groupId;
							if(utility.isNothing(newGroupId)){
								newGroupId = result2.insertId;
							}
							
							// insert or update groupGroup_Detail_Delete
							tx.executeSql(SQL.Group_Detail_Delete, [groupInfo.groupId], function(tx, result3) {
								
								var item = null;
								var para = [];
								// insert or update group_detail(振込)
								for(var i = 0; i < transferoutlists.length; i++){
									para = [];
									item = transferoutlists[i];
									// primaryKey, 
									para.push(null);
									// detail_id, 
									para.push(null);
									// group_id, 
									para.push(newGroupId);
									// type_flg, 
									para.push('1');
									// idx, 
									para.push(item.idx);
									// nickName, 
									para.push(item.name);
									// account_index, 
									para.push(item.account_index);
									// account_index1, 
									para.push(null);
									// record_no, 
									para.push(item.loginnum);
									// bank_code, 
									para.push(item.bank_code);
									// bank_name, 
									para.push(item.bank);
									// branch_code, 
									para.push(item.branch_code);
									// branch_name, 
									para.push(item.branch);
									// account_type_code, 
									para.push(item.account_type_code);
									// account_type, 
									para.push(item.type);
									// account_no, 
									para.push(item.number);
									// account_name,
									para.push(item.account_name);
									
									// representative_flag,
									para.push(item.representative_flag);
									// accnt_hst_number,
									para.push(item.accnt_hst_number);
									// balance,
									para.push(item.balance);
									// over_detail_flg,
									para.push(item.over_detail_flg);
									// can_balance,
									para.push(item.can_balance);
									// jiko_umu,
									para.push(item.jiko_umu);
									
									// value
									para.push(item.price);
									// detail_back1
									para.push(null);
									// detail_back2
									para.push(null);
									// detail_back3
									para.push(null);
									// detail_back4
									para.push(null);
									
									tx.executeSql(SQL.Group_Detail_Insert, para, function(tx, result4) {
										console.log('Group_Detail_Insert_out success' + result4);
									},function(error) {
					                	console.log('Group_Detail_Insert_out ERROR' + error);
					                });
								}
								
								// insert or update group_detail(振替)
								for(var i = 0; i < transferinlists.length; i++){
									para = [];
									item = transferinlists[i];
										
									// primaryKey, 
									para.push(null);
									// detail_id, 
									para.push(null);
									// group_id, 
									para.push(newGroupId);
									// type_flg, 
									para.push('2');
									// idx, 
									para.push(item.idx);
									// nickName, 
									para.push(item.name);
									// account_index, 
									para.push(item.account_index);
									// account_index1, 
									para.push(item.account_index1);
									// record_no, 
									para.push(null);
									// bank_code, 
									para.push(null);
									// bank_name, 
									para.push(null);
									// branch_code, 
									para.push(null);
									// branch_name, 
									para.push(item.branchname);
									// account_type_code, 
									para.push(item.account_type_code);
									// account_type, 
									para.push(item.type);
									// account_no, 
									para.push(item.number);
									// account_name,
									para.push(null);
									
									// representative_flag,
									para.push(item.representative_flag);
									// accnt_hst_number,
									para.push(item.accnt_hst_number);
									// balance,
									para.push(item.balance);
									// over_detail_flg,
									para.push(item.over_detail_flg);
									// can_balance,
									para.push(item.can_balance);
									// jiko_umu,
									para.push(item.jiko_umu);
									
									// value
									para.push(item.price);
									// detail_back1
									para.push(null);
									// detail_back2
									para.push(null);
									// detail_back3
									para.push(null);
									// detail_back4
									para.push(null);
									
									tx.executeSql(SQL.Group_Detail_Insert, para, function(tx, result4) {
										console.log('Group_Detail_Insert_in success' + result4);
									},function(error) {
					                	console.log('Group_Detail_Insert_in ERROR' + error);
					                });
								}
			                }, function(error) {
			                	console.log('Group_Detail_Delete ERROR' + error);
			                });
		                }, function(error) {
		                	console.log('Group_updateOrUpdate ERROR' + error);
		                });
	                }, function(error) {
	                	console.log('Group_count ERROR' + error);
	                });
				},
				function(err) {
					deferred.reject({
                        "Code": 1,
                        "Message": "saveInfo SUCCEED"
                    });
				},
				function(result) {
					deferred.resolve({
                        "Code": 0,
                        "Message": "saveInfo SUCCEED"
                    });
				}
			)
			return deferred.promise;
		}
	};
});
