/* JavaScript content from payroll/js/controllers/payroll-confirm-edit-amount-controller.js in folder common */ 
smbcController.controller('PayrollConfirmEditAmountCtrl', function($rootScope, $scope, $state, commonServices, $stateParams, payrollTransferService){
	utility.AdobeAnalytics("TFMFIN09","振替-取引金額編集","screen_view");
	$scope.isAndroid442 = utility.isAndroid442();
	$scope.data = {};
	$scope.btnFlag = false;
	
	var item = utility.clone(commonServices.storage().get('PAYROLL_NAVNUMSELECTED'));
	var currentItem = utility.clone(commonServices.storage().get('PAYROLL_SELECTEDLIST'))[item-1];		
		
	var resData = utility.clone(commonServices.storage().get('PAYROLL_MIA7820F_EDIT'));
	var inList = {};
	var outAccObj = {};
	var PAYROLL_GROUPINFO = utility.clone(commonServices.storage().get('PAYROLL_GROUPINFO'));
	
	for(var i in resData.ACCNT_INF_SIA){
//		if(currentItem.account_index1 == resData.ACCNT_INF_SIA[i].Detail_index_ori){
		if((resData.ACCNT_INF_SIA[i].Branch === currentItem.branchname) && (resData.ACCNT_INF_SIA[i].AccountName === currentItem.type) && 
				(resData.ACCNT_INF_SIA[i].ACCNT_BL_TYPE === currentItem.account_type_code) && (resData.ACCNT_INF_SIA[i].AccountNum === currentItem.number)){
			inList = utility.clone(resData.ACCNT_INF_SIA[i]);
			break;
		}
	}
	for(var i in resData.ACCNT_INF_SIA){
		if((resData.ACCNT_INF_SIA[i].Branch === PAYROLL_GROUPINFO.Branch) && (resData.ACCNT_INF_SIA[i].AccountName === PAYROLL_GROUPINFO.AccountName) && 
				(resData.ACCNT_INF_SIA[i].ACCNT_BL_TYPE === PAYROLL_GROUPINFO.pay_account_type_code) && (resData.ACCNT_INF_SIA[i].AccountNum === PAYROLL_GROUPINFO.AccountNum)){
			outAccObj = utility.clone(resData.ACCNT_INF_SIA[i]);
			break;
		}
	}
	
	$scope.data = commonServices.storage().get('PAYROLL_IN_EDIT_DATA');
	if(utility.isNothing($scope.data)){
		$scope.data={
				idx : currentItem.idx,
				name : currentItem.name,
				branchname : inList.Branch,
				type : inList.AccountName,
				number : inList.AccountNum,
				pay :  currentItem.price
			}
		commonServices.storage().set('PAYROLL_IN_EDIT_DATA',$scope.data);
	}
	
	var data7821 = {};
//	if(!commonServices.storage().get('PAYROLL_JUMP_ERROR')){
//		//正常跳转		
//		data7821 = utility.clone(commonServices.storage().get('PAYROLL_MIA7821'));		
//		$scope.data.pay = data7821.PAY;		
//	}else{
//		//异常
//		$scope.data.pay = currentItem.price;
//	}	
	
	$scope.setBtnActiveFlag = function(){
		if($scope.data.pay =="" || utility.isNotAllNum($scope.data.pay)){
			$scope.btnFlag = true;
		}else{
			$scope.btnFlag = false;
		}
	}
	
	$scope.onFocus = function(){
		var amount = $scope.data.pay;
		document.getElementById('confirmEditInInput').value = "";
		document.getElementById('confirmEditInInput').value = amount;
	}
	
	$scope.submitAmountEdit = function(){
		var outIdx = {};
		var inIdx = {};
//		if(utility.hasValue(commonServices.storage().get('PAYROLL_GROUPINFO'))){
//			outIdx = utility.clone(commonServices.storage().get('PAYROLL_GROUPINFO')).pay_account_index1;
//		}
//		if(utility.hasValue(commonServices.storage().get('PAYROLL_NAVNUMSELECTED'))){
//			var idx = utility.clone(commonServices.storage().get('PAYROLL_NAVNUMSELECTED'));
//			inIdx = (parseInt(idx) - 1).toString();
//		}
		inIdx = inList.Detail_index_ori;
		outIdx = outAccObj.Detail_index_ori;
		
		var item = {
			idxOut: outIdx,
			idxIn: inIdx,
			pay: $scope.data.pay
		}
		
		utility.showBusy();
		payrollTransferService.updateTransferInEditData(item,$scope).then(
			function(result) {
				utility.hideBusy();
				console.log('success');
				data7821 = utility.clone(commonServices.storage().get('PAYROLL_MIA7821'));
				data7821.PAY = $scope.data.pay;
				commonServices.storage().set('PAYROLL_MIA7821', data7821);
				commonServices.storage().set('PAYROLL_JUMP_ERROR', false);
				commonServices.storage().set('transferInDataR',null);
				if ($rootScope.currentTab == "tab.setting") {
                    $state.go('tab.setting-page-group-confirm-in');
                } else {
                    $state.go('tab.page-group-confirm-in');
                }
			},
			function(error) {
				utility.hideBusy();
				console.log('error');
			}
		);
	},
	$scope.payrollNavNum = commonServices.storage().get('PAYROLL_NAVNUM');
	$scope.payrollNavNumSelected = commonServices.storage().get('PAYROLL_NAVNUMSELECTED');
	$scope.gotoTransferInterrupt = function(){
		payrollTransferService.transferInterrupt($scope.payrollNavNum,$scope.payrollNavNumSelected);
//		$state.go('tab.page-payroll-overview');
	}
	
})
