/* JavaScript content from payroll/js/controllers/payroll-confirm-in-controller.js in folder common */ 
smbcController.controller('PayrollConfirmInCtrl', function($rootScope,$scope, $state,commonServices,$stateParams,transferOutService,$ionicScrollDelegate,payrollTransferService,payrollConfirmService,stagingService){
    utility.AdobeAnalytics("TFMFCN03","振替-取引内容確認","screen_view");
	commonServices.storage().set('PAYROLL_COMFIRM_EDIT_TEL', "");
	$scope.payrollNavNum = commonServices.storage().get('PAYROLL_NAVNUM');
	$scope.payrollNavNumSelected = commonServices.storage().get('PAYROLL_NAVNUMSELECTED');
	var payrollNavNumPrveSelected=$scope.payrollNavNumSelected;
	$scope.payrollNavNumPrveSelected=payrollNavNumPrveSelected-1;
	var point_err_flg_sia = 0;
	var isCommonPointsValid = commonServices.storage().get('isCommonPointsValid');
	if (commonServices.storage().get('POINT_ERR_FLG_SIA')) {
        point_err_flg_sia = commonServices.storage().get('POINT_ERR_FLG_SIA');
    }
	
	$scope.display_transferout_flag=false;
	$scope.display_transferin_flag=false;
	$scope.repAccountExtenedFlag = true;
//	$scope.usePointUmuShow = false;
	$scope.usePointUmuShowArr = [false,false,false,false,false];
	$scope.previousResultShow = ($scope.payrollNavNumSelected === 1) ? false : true;
	$scope.hideBackButton=false;
	if($scope.payrollNavNumSelected != 1){
		$scope.hideBackButton=true;
	}
	
	$scope.toggleAccountDetail = function(){
		$scope.repAccountExtenedFlag = !$scope.repAccountExtenedFlag;
		$ionicScrollDelegate.resize();
	};
	 
	//当前页面的数据
	var current_checkedlist=commonServices.storage().get('PAYROLL_SELECTEDLIST')[$scope.payrollNavNumPrveSelected];	
	var PAYROLL_MIA7821_R = commonServices.storage().get('PAYROLL_MIA7821');
	$scope.data = commonServices.storage().get('transferInDataR');
	if(utility.isNothing($scope.data)){
		$scope.data = new Object();
		commonServices.storage().set('transferInDataR',$scope.data);
	}
	if(utility.hasValue(PAYROLL_MIA7821_R)){
		$scope.data.name=current_checkedlist.name;
		$scope.data.idx=current_checkedlist.idx;
		
		var transfer_in_inlist=PAYROLL_MIA7821_R.ACCNT_INF_IN;
		var transfer_out_outlist=PAYROLL_MIA7821_R.ACCNT_INF_OUT;
		var in_typeCode = transfer_in_inlist.ACCNT_BL_TYPE;
		var out_typeCode = transfer_out_outlist.ACCNT_BL_TYPE;	
		
		$scope.data.transfer_in_inlist={
			AccountName:transfer_in_inlist.AccountName,
			Branch:transfer_in_inlist.Branch,
			AccountNum:transfer_in_inlist.AccountNum,
			ACCNT_BL_TYPE:transfer_in_inlist.ACCNT_BL_TYPE,
			type_icon:CONSTS.DIRECT_API.ACCOUNT_MAPPING_KEYS[in_typeCode].icon
		}
		
		
		$scope.data.transfer_out_outlist={
			AccountName:transfer_out_outlist.AccountName,
			Branch:transfer_out_outlist.Branch,
			AccountNum:transfer_out_outlist.AccountNum,
			ACCNT_BL_TYPE:transfer_out_outlist.ACCNT_BL_TYPE,
			type_icon:CONSTS.DIRECT_API.ACCOUNT_MAPPING_KEYS[out_typeCode].icon
		}
		$scope.data.PAY = PAYROLL_MIA7821_R.PAY;
		$scope.data.FUKA_DT = PAYROLL_MIA7821_R.FUKA_DT;
	}

	//手续费
	var PAYROLL_MIA7486Z = utility.clone(commonServices.storage().get('PAYROLL_MIA7486Z'));
	if(utility.hasValue(PAYROLL_MIA7486Z)){
		$scope.kumimodoshiChargeSet = PAYROLL_MIA7486Z.KUMIMODOSHI_CHARGE_SET;
	}
	var PAYROLL_MIA7486Z_LIST = commonServices.storage().get('PAYROLL_MIA7486Z_LIST');
	if(utility.isNothing(PAYROLL_MIA7486Z_LIST)){
		PAYROLL_MIA7486Z_LIST = [];
		PAYROLL_MIA7486Z_LIST.push($scope.kumimodoshiChargeSet);
		commonServices.storage().set('PAYROLL_MIA7486Z_LIST', PAYROLL_MIA7486Z_LIST);
	}else{
//		PAYROLL_MIA7486Z_LIST = utility.clone(commonServices.storage().get('PAYROLL_MIA7486Z_LIST'));
		PAYROLL_MIA7486Z_LIST.push($scope.kumimodoshiChargeSet);
//		commonServices.storage().set('PAYROLL_MIA7486Z_LIST', PAYROLL_MIA7486Z_LIST);
	}
	//end 手续费

	//上一件目的结果
	if($scope.payrollNavNumSelected != 1){
		$scope.previousKumimodoshiChargeSet = PAYROLL_MIA7486Z_LIST[$scope.payrollNavNumSelected - 2];
		var payrollTransferResultList=commonServices.storage().get('PAYROLL_TRANSFER_RESULT_LIST');
		var previous_checkedlist=commonServices.storage().get('PAYROLL_SELECTEDLIST')[payrollTransferResultList.length-1];	
		var previousResultType = payrollTransferResultList[payrollTransferResultList.length - 1].type;
	
		$scope.viewTemplate = function(){
			return payrollConfirmService.getTemplateUrlPreviousResultContent(previousResultType);
		}
		
		if(previousResultType === "in"){
			$scope.previousResult=payrollTransferResultList[payrollTransferResultList.length-1].data;
			var prev_transfer_in_inlist=$scope.previousResult.ACCNT_INF_IN;
			var prev_transfer_out_outlist=$scope.previousResult.ACCNT_INF_OUT;
			var prev_in_typeCode = prev_transfer_in_inlist.ACCNT_BL_TYPE;
			var prev_out_typeCode = prev_transfer_out_outlist.ACCNT_BL_TYPE;	
			$scope.previousResult.name=previous_checkedlist.name;
			$scope.previousResult.idx=previous_checkedlist.idx;
		
			$scope.prev_transfer_in_inlist={
				AccountName:prev_transfer_in_inlist.AccountName,
				Branch:prev_transfer_in_inlist.Branch,
				AccountNum:prev_transfer_in_inlist.AccountNum,
				ACCNT_BL_TYPE:prev_transfer_in_inlist.ACCNT_BL_TYPE,
				type_icon:CONSTS.DIRECT_API.ACCOUNT_MAPPING_KEYS[prev_in_typeCode].icon,
			}
		
		
			$scope.prev_transfer_out_outlist={
				AccountName:prev_transfer_out_outlist.AccountName,
				Branch:prev_transfer_out_outlist.Branch,
				AccountNum:prev_transfer_out_outlist.AccountNum,
				ACCNT_BL_TYPE:prev_transfer_out_outlist.ACCNT_BL_TYPE,
				type_icon:CONSTS.DIRECT_API.ACCOUNT_MAPPING_KEYS[prev_out_typeCode].icon
			}
		}else{
			//isCommonPointsValid 0:指定時間前 1:指定時間後
			//point_err_flg_sia gszz7487aレスポンス
			if (point_err_flg_sia == 1 && isCommonPointsValid == "1") {
                commonServices.showAlert(
                       Messages.TRANSFER_OUT_POINT_ERR_FLG_SIA_1_TITLE,
                       Messages.TRANSFER_OUT_POINT_ERR_FLG_SIA_1_MESSAGE, [{
                             text: Messages.YES,
                             onTap: function(e) {
                            	 commonServices.storage().set('POINT_ERR_FLG_SIA', 0);                                                           
                             }
                }]);
             }
			$scope.previousResult=payrollTransferResultList[payrollTransferResultList.length-1].data;
//			if(utility.hasValue(commonServices.storage().get('PAYROLL_COMFIRM_EDIT_PREVIOUS_TEL_EDIT_FLAG')) && !commonServices.storage().get('PAYROLL_COMFIRM_EDIT_PREVIOUS_TEL_EDIT_FLAG')){
				$scope.previousResult.TEL_OUT = utility.addMaskForLastFourNum($scope.previousResult.TEL_OUT);
//			}
//			// 40
//			// If Response 5.10 Point使用有無 = 1
//			if($scope.previousResult.USE_POINT_UMU == CONSTS.USE_POINT_UMU.YES){
//				$scope.usePointUmuShow = true;
//			}
			// 40
			// If Response 5.10 Point使用有無 = 1
			if($scope.previousResult.USE_POINT_UMU == CONSTS.USE_POINT_UMU.YES){
				$scope.usePointUmuShowArr[$scope.payrollNavNumSelected - 2] = true;
			}

			previoustypeCode = $scope.previousResult.ACCNT_INF_OUT.ACCNT_BL_TYPE;
			$scope.previousConfirmOutResultAccntBlType = CONSTS.DIRECT_API.ACCOUNT_MAPPING_KEYS[previoustypeCode].icon;
			$scope.previousResult.FURI_AMNT = utility.formatCurrency($scope.previousResult.FURI_AMNT);
			$scope.previousResult.CHARGE = utility.formatCurrency($scope.previousResult.CHARGE);
			$scope.previousResult.CHARGE_YUGU = utility.formatCurrency($scope.previousResult.CHARGE_YUGU);
			$scope.previousResult.TOTAL_AMANT_SIA = utility.formatCurrency($scope.previousResult.TOTAL_AMANT_SIA);

			// CASHLESS-8336: the following code fragments for '消費税対応' and '24365 10月対応' have been copied from
			// 'payroll-confirm-out-controller.js'. KEEP THEM IN SYNC!!

			// 消費税対応: Start
			if (!utility.isNothing(commonServices.storage().get('salestax_payroll_confirm_skip_flag')) &&
				!utility.isNothing(commonServices.storage().get('salestax_payroll_confirm_msg'))) {
				$scope.salesTaxMsg = commonServices.storage().get('salestax_payroll_confirm_skip_flag') == '0' ? commonServices.storage().get('salestax_payroll_confirm_msg') : ''
			} else {
				$scope.salesTaxMsg = '';
			}
			$scope.salesTaxShowFlag = !utility.isNothing($scope.salesTaxMsg);
			// 消費税対応: End

			// 24365 10月対応　zhangld Start
			// 依頼日タイトル
			$scope.titleHikiDt = "依頼日(資金引落日)";
			// 振込日タイトル
			$scope.titleFuriDt = "振込日";
			// 振込日
			$scope.furiDateShowFlg = true;
			// 振込日メッセージ
			$scope.furiDateMsgShowFlg = true;
			$scope.furiDateMsg = "振込の資金は受付時に即時引き落とします。";
			$scope.furiDateMsgShowFlg1 = false;
			$scope.furiDateMsgShowFlg2 = false;
			$scope.furiDateMsgShowFlg3 = false;
			// 翌日メッセージ
			$scope.nextDayMsgShowFlg = true;
			$scope.nextDayMsg = "※振込先の口座の設定により、振込先への入金が振込指定日の翌営業日となる場合があります。";

			// 新旧切り替える用フラグ
			if (stagingService.isEnabled("zengin_extension")) {
				// 振込日メッセージ
				$scope.furiDateMsgShowFlg = false;
				// 翌日メッセージ
				$scope.nextDayMsgShowFlg = false;
				var furiDtForDisp = utility.date.createByDateAndTimeString($scope.previousResult.FURI_DT,'000000').toDateStringWithWeek([Messages.YEAR, Messages.MONTH, Messages.DAY, ' (', ')'], false);

				// RESERVE_FLG(予約フラグ) 1:即時 0:予約
				if ($scope.previousResult.RESERVE_FLG === CONSTS.RESERVE_FLG.INSTANT.toString()) {
					// BANK_CD_IN_KBN(金融機関区分) 1:他行, 0:
					if ($scope.previousResult.BANK_CD_IN_KBN === CONSTS.BANK_CD_IN_KBN.OUT.toString()) {
						// DISP_KITYO_UMU(表示判定用取引事前記帳有無) 0: 締内 1: 締後
						if ($scope.previousResult.DISP_KITYO_UMU === CONSTS.DISP_KITYO_UMU.IN.toString()) {
							// CORE_MORE_FLG(全銀システム接続状態) 1: コア接続中 2: モア接続中 9: その他
							if ($scope.previousResult.CORE_MORE_FLG === CONSTS.CORE_MORE_FLG.MOA.toString()) {
								// 振込日
								$scope.furiDateShowFlg = true;
								// 振込日メッセージ
								$scope.furiDateMsgShowFlg = false;
								// 翌日メッセージ
								$scope.nextDayMsgShowFlg = true;
								$scope.nextDayMsg = Messages.TRANSFER_OUT_DATE_MESSAGE_NEXT_DAY_1;

							} else if ($scope.previousResult.CORE_MORE_FLG === CONSTS.CORE_MORE_FLG.CORE.toString()) {
								// 振込日
								$scope.furiDateShowFlg = true;
								// 振込日メッセージ
								$scope.furiDateMsgShowFlg = false;

							}
						} else {
							if ($scope.previousResult.CORE_MORE_FLG === CONSTS.CORE_MORE_FLG.MOA.toString()) {
								// 締後入金可否（他行） 0: 入金可 1: 入金不可 2: 入金確約不能 9: その他
								if ($scope.previousResult.MORE_SEND_FLG === CONSTS.MORE_SEND_FLG.YES.toString()) {
									// 振込日
									$scope.furiDateShowFlg = true;
									// 振込日メッセージ
									$scope.furiDateMsgShowFlg = false;
									// 翌日メッセージ
									$scope.nextDayMsgShowFlg = true;
									$scope.nextDayMsg = Messages.TRANSFER_OUT_DATE_MESSAGE_NEXT_DAY_2;

								} else if ($scope.previousResult.MORE_SEND_FLG === CONSTS.MORE_SEND_FLG.NO.toString()) {
									// 振込日
									$scope.furiDateShowFlg = false;
									// 振込日メッセージ
									$scope.furiDateMsgShowFlg1 = true;
									$scope.furiDateMsg1 = utility.format(Messages.TRANSFER_OUT_DATE_MESSAGE_TODAY, [furiDtForDisp]);

								} else if ($scope.previousResult.MORE_SEND_FLG === CONSTS.MORE_SEND_FLG.UNABLE.toString()) {
									// 振込日
									$scope.furiDateShowFlg = true;
									// 振込日メッセージ
									$scope.furiDateMsgShowFlg2 = true;

								} else if ($scope.previousResult.MORE_SEND_FLG === CONSTS.MORE_SEND_FLG.OTHER.toString()) {
									// 振込日
									$scope.furiDateShowFlg = false;
									// 振込日メッセージ
									$scope.furiDateMsgShowFlg1 = true;
									$scope.furiDateMsg1 = utility.format(Messages.TRANSFER_OUT_DATE_MESSAGE_TODAY, [furiDtForDisp]);
								}
							}
						}
					} else {
						// DISP_KITYO_UMU(表示判定用取引事前記帳有無) 0: 締内 1: 締後
						if ($scope.previousResult.DISP_KITYO_UMU === CONSTS.DISP_KITYO_UMU.IN.toString()) {
							// MORE_SEND_FLG(締後入金可否（他行）) 0: 入金可 1: 入金不可 2: 入金確約不能 9: その他
							if ($scope.previousResult.MORE_SEND_FLG === CONSTS.MORE_SEND_FLG.OTHER.toString()) {
								// 振込日
								$scope.furiDateShowFlg = true;
								// 振込日メッセージ
								$scope.furiDateMsgShowFlg = false;
							}
						} else {
							// MORE_SEND_FLG(締後入金可否（他行）) 0: 入金可 1: 入金不可 2: 入金確約不能 9: その他
							if ($scope.previousResult.MORE_SEND_FLG === CONSTS.MORE_SEND_FLG.OTHER.toString()) {
								// 振込日 = 引落日
								if ($scope.previousResult.FURI_DT === $scope.previousResult.HIKI_DT) {
									// 振込日
									$scope.furiDateShowFlg = true;
									// 振込日メッセージ
									$scope.furiDateMsgShowFlg = false;
								} else {
									// 振込日
									$scope.furiDateShowFlg = false;
									// 振込日メッセージ
									$scope.furiDateMsgShowFlg1 = true;
									$scope.furiDateMsg1 = utility.format(Messages.TRANSFER_OUT_DATE_MESSAGE_TODAY, [furiDtForDisp]);
								}
							}
						}
					}
				} else {
					// 依頼日タイトル
					$scope.titleHikiDt = "依頼日";
					// 振込日タイトル
					$scope.titleFuriDt = "振込日（資金引落日）";

					// BANK_CD_IN_KBN(金融機関区分) 1:他行, 0:自行
					if ($scope.previousResult.BANK_CD_IN_KBN === CONSTS.BANK_CD_IN_KBN.IN.toString()) {
						// 振込日
						$scope.furiDateShowFlg = true;
						// 振込日メッセージ
						$scope.furiDateMsgShowFlg1 = true;
						$scope.furiDateMsg1 = Messages.TRANSFER_OUT_DATE_MESSAGE_TODAY_1;
						$scope.furiDateMsgShowFlg3 = true;
						// 翌日メッセージ
						$scope.nextDayMsgShowFlg = true;
						$scope.nextDayMsg = Messages.TRANSFER_OUT_DATE_MESSAGE_NEXT_DAY_2;
					} else {
						// 振込日
						$scope.furiDateShowFlg = true;
						// 振込日メッセージ
						$scope.furiDateMsgShowFlg1 = true;
						$scope.furiDateMsg1 = Messages.TRANSFER_OUT_DATE_MESSAGE_TODAY_1;
						$scope.furiDateMsgShowFlg3 = true;
					}
				}
			}
			// 24365 10月対応　zhangld end
		}
	}

	//下一页的类型
	var transferType;
	var checkedlist=commonServices.storage().get('PAYROLL_SELECTEDLIST');	
	if(($scope.payrollNavNumSelected + 1 ) > commonServices.storage().get('PAYROLL_SELECTEDLIST').length){
		transferType = "done";
	}else{
		transferType = checkedlist[$scope.payrollNavNumSelected].transferType;
	}
	$scope.gotoOutOrInConfirm = function(){
		// 多重にならないよう、確実にindicatorを表示する
		utility.showBusy();
		commonServices.storage().set('PAYROLL_COMFIRM_EDIT_PREVIOUS_TEL_EDIT_FLAG', false);
		commonServices.storage().set('PAYROLL_COMFIRM_EDIT_TEL_EDIT_FLAG', false);
		var currentGroupRowId = commonServices.storage().get('currentGroupRowId');
		var currentSelectRowNum = current_checkedlist.rownum;
		var rowCntInGroup = commonServices.storage().get('rowCntInGroup');
		

		var PAYROLL_MIA7821 = commonServices.storage().get('PAYROLL_MIA7821');
		var PAYROLL_PAYACCOUNT = commonServices.storage().get('PAYROLL_PAYACCOUNT');
		var item = new Object();
		item.BANK_NM_IN = PAYROLL_MIA7821.BANK_NM_IN;
		item.STS_CHK_FLG = currentGroupRowId + rowCntInGroup + currentSelectRowNum;
		payrollTransferService.commitTransferIn(item,$scope).then(
			function(result){
				var PAYROLL_TRANSFER_RESULT_LIST = commonServices.storage().get('PAYROLL_TRANSFER_RESULT_LIST');
				commonServices.storage().set('PAYROLL_NAVNUMSELECTED',$scope.payrollNavNumSelected + 1);
				if(utility.isNothing(PAYROLL_TRANSFER_RESULT_LIST)){
					PAYROLL_TRANSFER_RESULT_LIST = [];
					commonServices.storage().set('PAYROLL_TRANSFER_RESULT_LIST',PAYROLL_TRANSFER_RESULT_LIST);
				}
				var PAYROLL_MIA7822 = utility.clone(commonServices.storage().get('PAYROLL_MIA7822'));
				PAYROLL_MIA7822.data.idx = commonServices.storage().get('PAYROLL_SELECTEDLIST')[$scope.payrollNavNumSelected-1].idx;
				PAYROLL_MIA7822.data.name = commonServices.storage().get('PAYROLL_SELECTEDLIST')[$scope.payrollNavNumSelected-1].name;
				PAYROLL_TRANSFER_RESULT_LIST.push(PAYROLL_MIA7822);
				var item = null;
				var nextAccount = null;
				var previousType = "TransferIN"; //CASHLESS-7061で追加する
				if(transferType === "in"){
					item = new Object();
					nextAccount = checkedlist[$scope.payrollNavNumSelected];

					//Defect 2118
					item.branchname = nextAccount.branchname;
					item.type = nextAccount.type;
					item.account_type_code = nextAccount.account_type_code;
					item.number = nextAccount.number;
					item.value = nextAccount.price;
					
					item.Branch = PAYROLL_PAYACCOUNT.Branch;
					item.AccountName = PAYROLL_PAYACCOUNT.AccountName;
					item.pay_account_type_code = PAYROLL_PAYACCOUNT.pay_account_type_code;
					item.AccountNum = PAYROLL_PAYACCOUNT.AccountNum;
					
					payrollTransferService.reqTransferInData25(item,$scope,previousType).then(
						function(result){
							commonServices.storage().set('transferInDataR',null);
							if ($rootScope.currentTab == "tab.setting") {
                                $state.go('tab.setting-page-group-confirm-in' + $scope.payrollNavNumSelected);
                            } else {
                                $state.go('tab.page-group-confirm-in' + $scope.payrollNavNumSelected);
                            }
							console.log("reqTransferInData25 success");
							utility.hideBusy();
						},
						function(error){
							console.log("reqTransferInData25 error" + error);
							utility.hideBusy();
						}
					);
				}else if(transferType === "out"){
					item = new Object();
					nextAccount = checkedlist[$scope.payrollNavNumSelected];
					item.REGI_no = nextAccount.loginnum;
					item.accntIdx = PAYROLL_PAYACCOUNT.pay_account_index1;
					item.value = nextAccount.price;
					
					item.bank = nextAccount.bank;
					item.bank_code = nextAccount.bank_code;
					item.branch = nextAccount.branch;
					item.branch_code = nextAccount.branch_code;
					item.number = nextAccount.number;
					item.type = nextAccount.type;
					item.account_name =nextAccount.account_name;
					
					payrollTransferService.reqTransferOutData25(item,$scope,previousType).then(
						function(result){
							if(result.code == '2'){
								commonServices.showAlert("",
										Messages.PAYROL_ACCOUNT_CHANGE_INTERRUPT, [ {
											text : Messages.YES,
											onTap : function(e) {
												payrollTransferService.transferInterruptTest($scope.payrollNavNumSelected + 1,$scope.payrollNavNumSelected + 1,"",Messages.PAYROL_ACCOUNT_CHANGE_INTERRUPT);
												payrollTransferService.transferInterruptDirect($scope.payrollNavNum,$scope.payrollNavNumSelected + 2);
												if ($rootScope.currentTab == "tab.setting") {
			   										$state.go('tab.setting-page-payroll-overview');
			  									}else{
			  										$state.go('tab.page-payroll-overview');
			  									}
											}
										}]
									);
							}else if(result.code == '0'){
								commonServices.storage().set('payrollData012', null);
								if ($rootScope.currentTab == "tab.setting") {
                                    $state.go('tab.setting-page-group-confirm-out' + $scope.payrollNavNumSelected);
                                } else {
                                    $state.go('tab.page-group-confirm-out' + $scope.payrollNavNumSelected);
                                }
							}
							
							console.log("reqTransferOutData25 success");
							utility.hideBusy();
						},
						function(error){
							console.log("reqTransferOutData25 error" + error);
							utility.hideBusy();
						}
					);
				}else{
					
					var payrollTransferResultList=commonServices.storage().get('PAYROLL_TRANSFER_RESULT_LIST');
					var previous_checkedlist=commonServices.storage().get('PAYROLL_SELECTEDLIST')[payrollTransferResultList.length-1];	
					$scope.previousResult=payrollTransferResultList[payrollTransferResultList.length-1].data;
					$scope.previousResult.name=previous_checkedlist.name;
					$scope.previousResult.idx=previous_checkedlist.idx;
					if ($rootScope.currentTab == "tab.setting") {
                        $state.go('tab.setting-page-payroll-overview');
                    } else {
                        $state.go('tab.page-payroll-overview');
                    }
					
					// CASHLESS-6574 indicatorのチェックを追加する
					utility.hideBusy(true);
				}
			},
			function(error){
				console.log('error' + error);
				utility.hideBusy();
			}
		);
	};
	$scope.gotoAmountEditPage = function(){
		utility.showBusy();
		payrollTransferService.reqTransferInEditData($scope).then(
			function(result) {
				utility.hideBusy();
				console.log('success');
				commonServices.storage().set('PAYROLL_IN_EDIT_DATA',null);
				if ($rootScope.currentTab == "tab.setting") {
                    $state.go('tab.setting-page-confirm-edit-amount');
                } else {
                    $state.go('tab.page-confirm-edit-amount');
                }
			},
			function(error) {
				utility.hideBusy();
				console.log('error');
			}
		);
	}
	$scope.gotoTransferInterrupt = function(){
		payrollTransferService.transferInterrupt($scope.payrollNavNum,$scope.payrollNavNumSelected);
//		$state.go('tab.page-payroll-overview');
	}
})
