/* JavaScript content from payroll/js/controllers/payroll-confirm-step-controller.js in folder common */ 
smbcController.controller('PayrollConfirmInCtrl', function($rootScope,$scope, $state,commonServices,$stateParams,transferOutService,$ionicScrollDelegate,payrollTransferService,payrollConfirmService){
	
	$scope.payrollNavNum = commonServices.storage().get('PAYROLL_NAVNUM');
	$scope.payrollNavNumSelected = commonServices.storage().get('PAYROLL_NAVNUMSELECTED');
	var payrollNavNumPrveSelected=$scope.payrollNavNumSelected;
	$scope.payrollNavNumPrveSelected=payrollNavNumPrveSelected-1;
	
	
	$scope.display_transferout_flag=false;
	$scope.display_transferin_flag=false;
	$scope.repAccountExtenedFlag = true;
	$scope.previousResultShow = ($scope.payrollNavNumSelected === 1) ? false : true;
	$scope.hideBackButton=false;
	if($scope.payrollNavNumSelected != 1){
		$scope.hideBackButton=true;
	}
	
	$scope.toggleAccountDetail = function(){
		$scope.repAccountExtenedFlag = !$scope.repAccountExtenedFlag;
		$ionicScrollDelegate.resize();
	};
	 
	//当前页面的数据
	var current_checkedlist=commonServices.storage().get('PAYROLL_SELECTEDLIST')[$scope.payrollNavNumPrveSelected];	
	$scope.data=commonServices.storage().get('PAYROLL_MIA7821');			
	$scope.data.name=current_checkedlist.name;
	$scope.data.idx=current_checkedlist.idx;
	
	var transfer_in_inlist=$scope.data.ACCNT_INF_IN;
	var transfer_out_outlist=$scope.data.ACCNT_INF_OUT;
	var in_typeCode = transfer_in_inlist.ACCNT_BL_TYPE;
	var out_typeCode = transfer_out_outlist.ACCNT_BL_TYPE;	
	
	$scope.transfer_in_inlist={
		AccountName:transfer_in_inlist.AccountName,
		Branch:transfer_in_inlist.Branch,
		AccountNum:transfer_in_inlist.AccountNum,
		ACCNT_BL_TYPE:transfer_in_inlist.ACCNT_BL_TYPE,
		type_icon:CONSTS.DIRECT_API.ACCOUNT_MAPPING_KEYS[in_typeCode].icon
	}
	
	
	$scope.transfer_out_outlist={
		AccountName:transfer_out_outlist.AccountName,
		Branch:transfer_out_outlist.Branch,
		AccountNum:transfer_out_outlist.AccountNum,
		ACCNT_BL_TYPE:transfer_out_outlist.ACCNT_BL_TYPE,
		type_icon:CONSTS.DIRECT_API.ACCOUNT_MAPPING_KEYS[out_typeCode].icon
	}
	
	
	//上一件目的结果
	if($scope.payrollNavNumSelected != 1){
		var payrollTransferResultList=commonServices.storage().get('PAYROLL_TRANSFER_RESULT_LIST');
		var previous_checkedlist=commonServices.storage().get('PAYROLL_SELECTEDLIST')[payrollTransferResultList.length-1];	
		var previousResultType = payrollTransferResultList[payrollTransferResultList.length - 1].type;
	
		$scope.viewTemplate = function(){
			return payrollConfirmService.getTemplateUrlPreviousResultContent(previousResultType);
		}
		
		if(previousResultType === "in"){
			$scope.previousResult=payrollTransferResultList[payrollTransferResultList.length-1].data;
			var prev_transfer_in_inlist=$scope.previousResult.ACCNT_INF_IN;
			var prev_transfer_out_outlist=$scope.previousResult.ACCNT_INF_OUT;
			var prev_in_typeCode = prev_transfer_in_inlist.ACCNT_BL_TYPE;
			var prev_out_typeCode = prev_transfer_out_outlist.ACCNT_BL_TYPE;	
			$scope.previousResult.name=previous_checkedlist.name;
			$scope.previousResult.idx=previous_checkedlist.idx;
		
			$scope.prev_transfer_in_inlist={
				AccountName:prev_transfer_in_inlist.AccountName,
				Branch:prev_transfer_in_inlist.Branch,
				AccountNum:prev_transfer_in_inlist.AccountNum,
				ACCNT_BL_TYPE:prev_transfer_in_inlist.ACCNT_BL_TYPE,
				type_icon:CONSTS.DIRECT_API.ACCOUNT_MAPPING_KEYS[prev_in_typeCode].icon,
			}
		
		
			$scope.prev_transfer_out_outlist={
				AccountName:prev_transfer_out_outlist.AccountName,
				Branch:prev_transfer_out_outlist.Branch,
				AccountNum:prev_transfer_out_outlist.AccountNum,
				ACCNT_BL_TYPE:prev_transfer_out_outlist.ACCNT_BL_TYPE,
				type_icon:CONSTS.DIRECT_API.ACCOUNT_MAPPING_KEYS[prev_out_typeCode].icon
			}
		}else{
			$scope.previousResult=payrollTransferResultList[payrollTransferResultList.length-1].data;
//			if(utility.hasValue(commonServices.storage().get('PAYROLL_COMFIRM_EDIT_TEL_EDIT_FLAG')) && !commonServices.storage().get('PAYROLL_COMFIRM_EDIT_TEL_EDIT_FLAG')){
				$scope.previousResult.TEL_OUT = utility.addMaskForLastFourNum($scope.previousResult.TEL_OUT);
//			}
			previoustypeCode = $scope.previousResult.ACCNT_INF_OUT.ACCNT_BL_TYPE;
			$scope.previousConfirmOutResultAccntBlType = CONSTS.DIRECT_API.ACCOUNT_MAPPING_KEYS[previoustypeCode].icon;
		}

	}


	//下一页的类型
	var transferType;
	var checkedlist=commonServices.storage().get('PAYROLL_SELECTEDLIST');	
	if(($scope.payrollNavNumSelected + 1 ) > commonServices.storage().get('PAYROLL_SELECTEDLIST').length){
		transferType = "done";
	}else{
		transferType = checkedlist[$scope.payrollNavNumSelected].transferType;
	}
	$scope.gotoOutOrInConfirm = function(){
		// 多重にならないよう、確実にindicatorを表示する
		utility.showBusy();
		commonServices.storage().set('PAYROLL_COMFIRM_EDIT_TEL_EDIT_FLAG', false);
		var currentGroupRowId = commonServices.storage().get('currentGroupRowId');
		var currentSelectRowNum = current_checkedlist.rownum;
		var rowCntInGroup = commonServices.storage().get('rowCntInGroup');
		

		var PAYROLL_MIA7821 = commonServices.storage().get('PAYROLL_MIA7821');
		var PAYROLL_PAYACCOUNT = commonServices.storage().get('PAYROLL_PAYACCOUNT');
		var item = new Object();
		item.BANK_NM_IN = PAYROLL_MIA7821.BANK_NM_IN;
		item.STS_CHK_FLG = currentGroupRowId + rowCntInGroup + currentSelectRowNum;
		payrollTransferService.commitTransferIn(item,$scope).then(
			function(result){
				var PAYROLL_TRANSFER_RESULT_LIST = commonServices.storage().get('PAYROLL_TRANSFER_RESULT_LIST');
				commonServices.storage().set('PAYROLL_NAVNUMSELECTED',$scope.payrollNavNumSelected + 1);
				if(utility.isNothing(PAYROLL_TRANSFER_RESULT_LIST)){
					PAYROLL_TRANSFER_RESULT_LIST = [];
					commonServices.storage().set('PAYROLL_TRANSFER_RESULT_LIST',PAYROLL_TRANSFER_RESULT_LIST);
				}
				PAYROLL_TRANSFER_RESULT_LIST.push(commonServices.storage().get('PAYROLL_MIA7822'));
				var item = null;
				var nextAccount = null;
				if(transferType === "in"){
					item = new Object();
					nextAccount = checkedlist[$scope.payrollNavNumSelected];
					// 2118
					item.branchname = nextAccount.branchname;
					item.type = nextAccount.type;
					item.account_type_code = nextAccount.account_type_code;
					item.number = nextAccount.number;
					item.value = nextAccount.price;
					
					item.Branch = PAYROLL_PAYACCOUNT.Branch;
					item.AccountName = PAYROLL_PAYACCOUNT.AccountName;
					item.pay_account_type_code = PAYROLL_PAYACCOUNT.pay_account_type_code;
					item.AccountNum = PAYROLL_PAYACCOUNT.AccountNum;
					
					payrollTransferService.reqTransferInData25(item,$scope).then(
						function(result){
							commonServices.storage().set('transferInDataR',null);
							                            if ($rootScope.currentTab == "tab.setting") {
                                $state.go('tab.setting-page-group-confirm-in' + $scope.payrollNavNumSelected);
                            } else {
                                $state.go('tab.page-group-confirm-in' + $scope.payrollNavNumSelected);
                            }
							console.log("reqTransferInData25 success");
							utility.hideBusy();
						},
						function(error){
							console.log("reqTransferInData25 error" + error);
							utility.hideBusy();
						}
					);
				}else if(transferType === "out"){
					item = new Object();
					nextAccount = checkedlist[$scope.payrollNavNumSelected];
					item.REGI_no = nextAccount.loginnum;
					item.accntIdx = PAYROLL_PAYACCOUNT.pay_account_index1;
					item.value = nextAccount.price;
					
					item.bank = nextAccount.bank;
					item.bank_code = nextAccount.bank_code;
					item.branch = nextAccount.branch;
					item.branch_code = nextAccount.branch_code;
					item.number = nextAccount.number;
					item.type = nextAccount.type;
					item.account_name =nextAccount.account_name;
					
					payrollTransferService.reqTransferOutData25(item,$scope).then(
						function(result){
							if(result.code == '2'){
								commonServices.showAlert("",
										Messages.PAYROL_ACCOUNT_CHANGE_INTERRUPT, [ {
											text : Messages.YES,
											onTap : function(e) {
												payrollTransferService.transferInterruptTest($scope.payrollNavNumSelected + 1,$scope.payrollNavNumSelected + 1,"",Messages.PAYROL_ACCOUNT_CHANGE_INTERRUPT);
												payrollTransferService.transferInterruptDirect($scope.payrollNavNum,$scope.payrollNavNumSelected + 2);
												if ($rootScope.currentTab == "tab.setting") {
                                                	$state.go('tab.setting-page-payroll-overview');
                                            	} else {
                                                	$state.go('tab.page-payroll-overview');
                                            	}
											}
										}]
									);
							}else if(result.code == '0'){
								commonServices.storage().set('payrollData012', null);
								if ($rootScope.currentTab == "tab.setting") {
                                    $state.go('tab.setting-page-group-confirm-out' + $scope.payrollNavNumSelected);
                                } else {
                                    $state.go('tab.page-group-confirm-out' + $scope.payrollNavNumSelected);
                                }
							}
							console.log("reqTransferOutData25 success");
							utility.hideBusy();
						},
						function(error){
							console.log("reqTransferOutData25 error" + error);
							utility.hideBusy();
						}
					);
				}else{
					
					var payrollTransferResultList=commonServices.storage().get('PAYROLL_TRANSFER_RESULT_LIST');
					var previous_checkedlist=commonServices.storage().get('PAYROLL_SELECTEDLIST')[payrollTransferResultList.length-1];	
					$scope.previousResult=payrollTransferResultList[payrollTransferResultList.length-1].data;
					$scope.previousResult.name=previous_checkedlist.name;
					$scope.previousResult.idx=previous_checkedlist.idx;
					if ($rootScope.currentTab == "tab.setting") {
                        $state.go('tab.setting-page-payroll-overview');
                    } else {
                        $state.go('tab.page-payroll-overview');
                    }
					
					utility.hideBusy();
				}
			},
			function(error){
				console.log('error' + error);
				utility.hideBusy();
			}
		);
	};
	$scope.gotoAmountEditPage = function(){
		utility.showBusy();
		payrollTransferService.reqTransferInEditData($scope).then(
			function(result) {
				utility.hideBusy();
				console.log('success');
				commonServices.storage().set('PAYROLL_IN_EDIT_DATA',null);
				if ($rootScope.currentTab == "tab.setting") {
                    $state.go('tab.setting-page-confirm-edit-amount');
                } else {
                    $state.go('tab.page-confirm-edit-amount');
                }
			},
			function(error) {
				utility.hideBusy();
				console.log('error');
			}
		);
	}
	$scope.gotoTransferInterrupt = function(){
		payrollTransferService.transferInterrupt($scope.payrollNavNum,$scope.payrollNavNumSelected);
//		$state.go('tab.page-payroll-overview');
	}
})
