/* JavaScript content from payroll/js/controllers/payroll-out-controller.js in folder common */ 
/**
 * Created by harry on 11/9/16.
 */
smbcController.controller('PayrollOutCtrl', function($rootScope,$scope,$state,commonServices,payrollOutService,transferOutService,transferOutRequestService,payrollTransferService){
	$scope.isAndroid44 = utility.isAndroid44();
	$scope.isAndroid442 = utility.isAndroid442();
//	commonServices.storage().set('isCreate',true);
	var conformItem = (screen.width - 76) + "px";
	$scope.conformItemWidth = {
		"width" : conformItem
	};
	
	var haveNotAccFlg = false;
	$scope.showCreate = false;
	commonServices.storage().set('currentGroupRowId',null);
	commonServices.storage().set('rowCntInGroup',null);

	$scope.$on('$ionicView.loaded', function(e) {
		var firstrunpayroll=commonServices.storage().get('firstrunpayroll'+'_'+commonServices.getLoginData().USRID);
		if(firstrunpayroll===null){
			var smbcfirstopenpayroll="firstrunpayroll";
            commonServices.storage().save('firstrunpayroll'+'_'+commonServices.getLoginData().USRID,smbcfirstopenpayroll);
            $state.go("page-slidepayroll");
		} else {
		    utility.AdobeAnalytics("TFMFIN01","グループ選択","screen_view");
		}
	});

	//templatesNone
	$scope.displayGoTemplatesFlag = false;
	$scope.displayGoTemplates = function(){
		$scope.displayGoTemplatesFlag = true;
	}
	$scope.goTemplates = function(){
            if ($rootScope.currentTab == "tab.setting") {
                $state.go('tab.setting-page-templates');
            } else {
                $state.go('tab.page-templates');
            }
	}
	//templatesNone


    var pageInit = function(){
    	if(!commonServices.storage().get('isResumeToPayroll')){
    		commonServices.storage().set('PAYROLL_GROUPINFO', {});
        	commonServices.storage().set('PAYROLL_TRANSFEROUTLISTS', []);
    		commonServices.storage().set('PAYROLL_TRANSFERINLISTS', []);
    		commonServices.storage().set('transferOutFrom7480',{});
    		commonServices.storage().remove('PAYROLL_OUTSHOWERRORITEM');
//    		commonServices.storage().set('PAYROLL_MIA7880_CHANGE_ACCOUNT', {});
    		commonServices.storage().set('PAYROLL_MIA7880_PAYACCOUNT_LIST', {});
    		commonServices.storage().set('PAYROLL_MIA7486Z',null);
    		commonServices.storage().set('isCreate',true);
    	}else{
    		commonServices.storage().set('isResumeToPayroll',false);
    	}

		$scope.useritems = commonServices.storage().get('GroupListForSelect');
		$scope.showCreate = true;

    }

	// T5SP-2188
	var fixAccountIndex;
	cashless.getSharedData('transferInFrom7880', function(obj7880) {
		var data = {};
		var obj = {};

		// 口座情報:残高照会
		var accBlInfFromJson = JSON.parse(obj7880.transferInFrom7880.ACCNT_BL_INF);
		var accBlInfArr = {};
		for (var objItem in accBlInfFromJson){
			var accBlInf = {};
			accBlInf.ARRAY_INDEX_CODE = accBlInfFromJson[objItem].accountIndex;
			accBlInf.Detail_index_ori = accBlInfFromJson[objItem].originalAccountIndex;
			accBlInf.Branch = accBlInfFromJson[objItem].branchName;
			accBlInf.AccountName = accBlInfFromJson[objItem].accountTypeName;
			accBlInf.ACCNT_BL_TYPE = accBlInfFromJson[objItem].accountTypeCode;
			accBlInf.AccountNum = accBlInfFromJson[objItem].accountNumber;
			accBlInf.Representative_Flag = accBlInfFromJson[objItem].isRepresentataive;
			accBlInf.ACCNT_HST_NUMBER = accBlInfFromJson[objItem].accntHstNumber;
			accBlInf.BALANCE = accBlInfFromJson[objItem].balance;
			accBlInf.OVER_DETAIL_FLG = accBlInfFromJson[objItem].overDetailFlg;
			accBlInf.PAY_CAN_BALANCE =  accBlInfFromJson[objItem].payCanBalance;
			accBlInf.JIKO_UMU =  accBlInfFromJson[objItem].jikoUmu;
			
			accBlInfArr[objItem] = accBlInf;
		}
		data.ACCNT_BL_INF = accBlInfArr;
		// T5SP-2188
		fixAccountIndex = payrollOutService.getAccountIndexFixer($scope, accBlInfFromJson);
		// 保有口座数
		data.ACCNT_BL_NUMBER = obj7880.transferInFrom7880.ACCNT_BL_NUMBER;
		// 入出金明細情報
		var accHstInfSiaFromJson = JSON.parse(obj7880.transferInFrom7880.ACCNT_HST_INF_SIA);
		var accHstInfSiaArr = {};
		for (var objItem in accHstInfSiaFromJson){
			var accHstInfSia = {};
			accHstInfSia.ARRAY_INDEX_CODE = accHstInfSiaFromJson[objItem].index;
			accHstInfSia.Transaction_date = accHstInfSiaFromJson[objItem].date;
			accHstInfSia.Transaction_type = accHstInfSiaFromJson[objItem].type;
			accHstInfSia.Transaction_type_amout = accHstInfSiaFromJson[objItem].amonut;
			accHstInfSia.Transaction_note = accHstInfSiaFromJson[objItem].description;
			accHstInfSia.Transaction_Balance = accHstInfSiaFromJson[objItem].balance;
			accHstInfSia.Detail_index_ori = accHstInfSiaFromJson[objItem].originalAccountIndex;
			
			accHstInfSiaArr[objItem] = accHstInfSia;
		}
		data.ACCNT_HST_INF_SIA = accHstInfSiaArr;
		// 保有明細数合計
		data.ACCNT_HST_NUMBER = obj7880.transferInFrom7880.ACCNT_HST_NUMBER;
		// 照会期間・開始日
		data.M_START_YMD = obj7880.transferInFrom7880.M_START_YMD;
		// 照会期間・終了日
		data.M_END_YMD = obj7880.transferInFrom7880.M_END_YMD;
		// RESULT
		data.RESULT = obj7880.transferInFrom7880.RESULT;
		// コンタクト番号
		data.ContactID = obj7880.transferInFrom7880.ContactID;
		// 画面生成日付
		data.ScreenDate = obj7880.transferInFrom7880.ScreenDate;
		// 画面ＩＤ
		data.ScreenID = obj7880.transferInFrom7880.ScreenID;
		// セッションID
		data.SessionID = obj7880.transferInFrom7880.SessionID;
		
		obj.data = data;
		commonServices.storage().set('transferInFrom7880', obj);
//    $scope.$on('$ionicView.enter',function(e) {
    	pageInit();
//	});
	}, function(err) {
	    errorCb("getting transferInFrom7880 failed: " + err);
	});

    var isProcessing=false;
 	var changeProcessingStatus = function(){
		isProcessing = false;
	};

  	var checkTapInterval = function (interval) {
		if (isProcessing === true) {
			return false;
		}
		isProcessing = true;
		setTimeout(changeProcessingStatus,interval);
		return true;
	};
	var gotoTransferoutTop = function() {
		
		var loginData = commonServices.getLoginData();
		var NINSYO_CHG_FLG = loginData.NINSYO_CHG_FLG;
		var PIN_MODE_FLG = loginData.PIN_MODE_FLG;
		var ALERT_CODE = loginData.ALERT_CODE;
		var popupMessage = '';
		var popupMessageElse = '';
	    if(PIN_MODE_FLG==CONSTS.PIN_MODE_FLG.OTPW && NINSYO_CHG_FLG==CONSTS.NINSYO_CHG_FLG.OTPW && utility.isNothing(ALERT_CODE)){
	        popupMessage = '';
	        popupMessageElse = '';
		}
		//PIN_MODE_FLG=1 && NINSYO_CHG_FLG=1 && ALERT_CODE=002/003/004
		else if(PIN_MODE_FLG==CONSTS.PIN_MODE_FLG.OTPW && NINSYO_CHG_FLG==CONSTS.NINSYO_CHG_FLG.OTPW &&
            	// BCM-123 電池切れユーザーのエラー表示しない制御
				//(ALERT_CODE=='002' || ALERT_CODE=='003')){
				(ALERT_CODE=='002' || ALERT_CODE=='003' || ALERT_CODE==='004')){
	        popupMessage = '';
	        popupMessageElse = '';
		}
		//PIN_MODE_FLG=0 && NINSYO_CHG_FLG=0 && (ALERT_CODE== '' || ALERT_CODE== "001")
	    else if(PIN_MODE_FLG==CONSTS.PIN_MODE_FLG.PASSCARD && NINSYO_CHG_FLG==CONSTS.NINSYO_CHG_FLG.PASSCARD &&
	    		(utility.isNothing(ALERT_CODE) || ALERT_CODE== "001")){
			popupMessage = Messages.PASSWORD_CARD_MESSAGE;
		}
		//PIN_MODE_FLG=0 && NINSYO_CHG_FLG=1
		else if(PIN_MODE_FLG==CONSTS.PIN_MODE_FLG.PASSCARD && NINSYO_CHG_FLG==CONSTS.NINSYO_CHG_FLG.OTPW){
			popupMessage = Messages.PASSWORD_CARD_MESSAGE;
		}
		//　PIN_MODE_FLG=1 && NINSYO_CHG_FLG=2
		else if(PIN_MODE_FLG==CONSTS.PIN_MODE_FLG.OTPW && NINSYO_CHG_FLG==CONSTS.NINSYO_CHG_FLG.LITE){
			popupMessage = Messages.LITE_USER_POPUP_TEXT;
		}
		// その他
		else{
			popupMessageElse = Messages.TRANSFER_ELSE_WARN;
		}
		if(popupMessage!==''){
			commonServices.showAlert('', popupMessage, [{
				//text : Messages.CANCEL_JP,
				text : Messages.NO,
				onTap : function(e) {
				}},{
				text: Messages.SWICH_TO_PASSWORDCARD,
				onTap: function(e) {
					commonServices.storage().set('page-passcode-resume', '2');
                    // replace xzqidl UIX-212 start
					// utility.openExternalURL(CONSTS.URLS.LITE_USER_URL);
                    var isSSO = false; // SSOして外部ブラウザを開く場合true、SSOをせず外部ブラウザ開く場合はfalse
                    commonServices.openExternalURL(CONSTS.URLS.LITE_USER_URL, isSSO);
					// replace xzqidl UIX-212 end
				}
			}]);
		}

		if(popupMessageElse!==''){
			commonServices.showAlert('', popupMessageElse,
					[{
						text : Messages.YES,
				        onTap : function(e) {
				      }
					}]);
		}

		if(popupMessage === '' && popupMessageElse === ''){
			// send the first request for transferout
			transferOutRequestService.sendMIA7820Request($scope).then(function(success){
                if ($rootScope.currentTab == "tab.setting") {
                    $state.go('tab.setting-transfer-out-list');
                } else {
                    $state.go('tab.transfer-out-list');
                }
				changeTopButtonUI();
			},function(error){
				console.log("MIA7820 request error!");
			})


		}
	};
    $scope.gotoEditGroup = function(item,isCreate){
    	//防止二次点击
    	if(!checkTapInterval(smbc.config.intervalTimeout)){
			console.log('Can not excute!!!');
			return;
		}
    	commonServices.storage().set('fromTop',true);
    	commonServices.storage().set('isCreate',isCreate);
    	
    	/*** Defect 2314 Start ***/
    	if(!commonServices.storage().get('isResumeToPayroll')){
            commonServices.storage().set('PAYROLL_GROUPINFO', {});
            commonServices.storage().set('PAYROLL_TRANSFEROUTLISTS', []);
            commonServices.storage().set('PAYROLL_TRANSFERINLISTS', []);
            commonServices.storage().set('transferOutFrom7480',{});
            commonServices.storage().remove('PAYROLL_OUTSHOWERRORITEM');
//            commonServices.storage().set('PAYROLL_MIA7880_CHANGE_ACCOUNT', {});
            commonServices.storage().set('PAYROLL_MIA7880_PAYACCOUNT_LIST', {});
        }else{
            commonServices.storage().set('isResumeToPayroll',false);
        }
        /*** Defect 2314 End ***/

    	var groupId = null;
    	if(utility.hasValue(item)){
    		groupId = item.id;
    	}else{
			commonServices.storage().set('payRollOutFlag', "createGroup");
		}
//    	if(haveNotAccFlg){
//		    commonServices.showAlert("",
//				Messages.PAYROLL_ALT_MST_NO_ACC, [ {
//					text : Messages.YES,
//					onTap : function(e) {
//						
//					}
//				}]);
//    	}else 
    	if(utility.hasValue($scope.useritems) && $scope.useritems.length >= 10 && item == null){
    		commonServices.showAlert('',Messages.GROUP_OUT_10_MSG,[{
    			text : Messages.YES
    		}] )
    	}else{
    		utility.showBusy();
        	var params = {
    			TrxID : 'MIA7480',
    			'imgFurikomiSap.y' : '1'
    		};
    		commonServices.sendRequest({
    			url: 'payees',
    			data: params,
    			config: {
    				'REGI_ACCNT_INF_SIA': {
    					0 : 'REGI_no',
    					1 : 'Bank_code',
    					2 : 'Bank_name',
    					3 : 'Branch_code',
    					4 : 'Branch_name',
    					5 : 'Account_type',
    					6 : 'Account_no',
    					7 : 'Account_name'
    				}
    			},
    			onCodeError:null
    		}).then(function(response){
    			utility.showBusy();
    			
    			commonServices.storage().set('transferOutFrom7480',response);
				commonServices.storage().set('isReturn',true);
				if(utility.hasValue(commonServices.storage().get('transferOutFrom7480')) && commonServices.storage().get('transferOutFrom7480').data.REGI_ACCNT_CNT_SIA <= 0 && 
						utility.hasValue(commonServices.storage().get('transferInFrom7880')) && commonServices.storage().get('transferInFrom7880').data.ACCNT_BL_NUMBER <= 1){
    				haveNotAccFlg = true;
    			    commonServices.showAlert("",
	    				Messages.PAYROLL_ALT_MST_NO_TO, [ {
	    					text : Messages.NO,
	    					onTap : function(e) {
	    						gotoTransferoutTop();
	    					}
	    				},
	    				 {
	    					text : Messages.YES,
	    					onTap : function(e) {
	    						commonServices.callAdobeAnalytics("Transferout","Edit_payee");
	    	                    var param = {
	    	                        sc : CONSTS.MOVE_TARGET.PAY
	    	                    };
	    	                    transferOutService.openWebUrlBySS0($scope,param);
	    					}
	    				}]
    			    );
    			}else{
    				if(isCreate==true){
                        if ($rootScope.currentTab == "tab.setting") {
                            $state.go('tab.setting-page-group-edit-second', { groupId: groupId });
                        } else {
                            $state.go('tab.page-group-edit-second', { groupId: groupId });
                        }
    				}else{
						if ($rootScope.currentTab == "tab.setting") {
                            $state.go('tab.setting-page-group-edit', { groupId: groupId });
                        } else {
                            $state.go('tab.page-group-edit', { groupId: groupId });
                        }
    				}
    				
    			}
				utility.hideBusy();
    		}, function(error){
    			utility.hideBusy();
    			
    			if(error.code == '02355-E'/*W2191*/ && utility.hasValue(commonServices.storage().get('transferInFrom7880')) && commonServices.storage().get('transferInFrom7880').data.ACCNT_BL_NUMBER <= 1){
    				haveNotAccFlg = true;
    			    commonServices.showAlert("",
	    				Messages.PAYROLL_ALT_MST_NO_TO, [ {
	    					text : Messages.NO,
	    					onTap : function(e) {
	    						gotoTransferoutTop();
	    					}
	    				},
	    				 {
	    					text : Messages.YES,
	    					onTap : function(e) {
	    						commonServices.callAdobeAnalytics("Transferout","Edit_payee");
	    	                    var param = {
	    	                        sc : CONSTS.MOVE_TARGET.PAY
	    	                    };
	    	                    transferOutService.openWebUrlBySS0($scope,param);
	    					}
	    				}]
    			    );
    			}else if(error.code == '02355-E'/*W2191*/ && utility.hasValue(commonServices.storage().get('transferInFrom7880')) && commonServices.storage().get('transferInFrom7880').data.ACCNT_BL_NUMBER > 1){
    				commonServices.storage().set('isReturn',true);
    	        	//$state.go('tab.page-group-edit',{groupId:groupId});
    				if(isCreate==true){
                        if ($rootScope.currentTab == "tab.setting") {
                            $state.go('tab.setting-page-group-edit-second', { groupId: groupId });
                        } else {
                            $state.go('tab.page-group-edit-second', { groupId: groupId });
                        }
    				}else{
                        if ($rootScope.currentTab == "tab.setting") {
                            $state.go('tab.setting-page-group-edit', { groupId: groupId });
                        } else {
                            $state.go('tab.page-group-edit', { groupId: groupId });
                        }    				
                    }
    			}else{
    				// do nothing
    			}
    		});
    	}
    };
    $scope.gotoConfirmGroup = function(data){
		commonServices.storage().set('PAYROLL_CONFIRM_DATA_OUT', null);
		commonServices.storage().set('PAYROLL_CONFIRM_DATA_IN', null);
    	if(!checkTapInterval(smbc.config.intervalTimeout)){
			console.log('Can not excute!!!');
			return;
		}
    	utility.showBusy();
    	commonServices.storage().set('fromTop',true);
    	commonServices.storage().set('isResumeToPayroll',false);
    	var groupId = data.id;
    	var currentGroupRowId = data.rowid;
    	commonServices.storage().set('currentGroupRowId',currentGroupRowId);
    	
    	var transferoutlist = [];
		var transferinlist = [];
		var transferOutListNull = true;
		var transferInListNull = true;
		var transferoutFlag;
		var transferinFlag;
		
    	//取DB数据
		payrollOutService.queryGroupsById(groupId, fixAccountIndex).then(
			function (result) {
				if(utility.hasValue(commonServices.storage().get('PAYROLL_TRANSFEROUTLISTS')) && commonServices.storage().get('PAYROLL_TRANSFEROUTLISTS').length != 0){
					transferoutlist = commonServices.storage().get('PAYROLL_TRANSFEROUTLISTS');
					transferOutListNull = false;
				}
				if(utility.hasValue(commonServices.storage().get('PAYROLL_TRANSFERINLISTS')) && commonServices.storage().get('PAYROLL_TRANSFERINLISTS').length != 0){
					transferinlist = commonServices.storage().get('PAYROLL_TRANSFERINLISTS');
					transferInListNull = false;
				}
				
				var isNeed7480 = 0;
				// only transfer in
				if(transferoutlist.length == 0 && transferinlist.length > 0){
					isNeed7480 = 0;
				}
				// only transfer out
				else if(transferoutlist.length > 0 && transferinlist.length == 0){
					isNeed7480 = 1;
				}
				// in & out
				else{
					isNeed7480 = 2;
				}
				payrollTransferService.confirmToTransfer(isNeed7480,$scope,data,transferoutlist).then(
					function(result){
						utility.hideBusy();
						var transferoutresponsedata = null;
						if(utility.hasValue(commonServices.storage().get('transferOutFrom7480')) && 
								utility.hasValue(commonServices.storage().get('transferOutFrom7480').data)){
							transferoutresponsedata = utility.clone(commonServices.storage().get('transferOutFrom7480').data.REGI_ACCNT_INF_SIA);
						}
						var transferinresponsedata = null;
						if(utility.hasValue(commonServices.storage().get('transferInFrom7880')) &&
								utility.hasValue(commonServices.storage().get('transferInFrom7880').data)){
							transferinresponsedata = utility.clone(commonServices.storage().get('transferInFrom7880').data.ACCNT_BL_INF);
						}

						if(transferOutListNull && transferInListNull){
							commonServices.showAlert("",
								Messages.PAYROLL_ALT_ITEM_NO_MATCH, [ {
									text : Messages.YES,
									onTap : function(e) {

									}
								}]
							);
						}else if(transferOutListNull === true && transferInListNull === false){
							transferinFlag = payrollOutService.showTransferInAllError(transferinresponsedata,transferinlist);

							if(transferinFlag){
								commonServices.showAlert("",
									Messages.PAYROLL_ALT_ITEM_NO_MATCH, [ {
										text : Messages.YES,
										onTap : function(e) {

										}
									}]
								);
							}else{
                                if ($rootScope.currentTab == "tab.setting") {
                                    $state.go('tab.setting-page-group-confirm', { groupId: groupId });
                                } else {
                                    $state.go('tab.page-group-confirm', { groupId: groupId });
                                }							}

						}else if(transferOutListNull === false && transferInListNull === true){
							transferoutFlag = payrollOutService.showTransferOutAllError(transferoutresponsedata,transferoutlist);

							if(transferoutFlag){
								commonServices.showAlert("",
									Messages.PAYROLL_ALT_ITEM_NO_MATCH, [ {
										text : Messages.YES,
										onTap : function(e) {

										}
									}]
								);
							}else{
                                if ($rootScope.currentTab == "tab.setting") {
                                    $state.go('tab.setting-page-group-confirm', { groupId: groupId });
                                } else {
                                    $state.go('tab.page-group-confirm', { groupId: groupId });
                                }							}
						}else if(transferOutListNull === false && transferInListNull === false){
							transferoutFlag = payrollOutService.showTransferOutAllError(transferoutresponsedata,transferoutlist);
							transferinFlag = payrollOutService.showTransferInAllError(transferinresponsedata,transferinlist);

							if(transferoutFlag && transferinFlag){
								commonServices.showAlert("",
									Messages.PAYROLL_ALT_ITEM_NO_MATCH, [ {
										text : Messages.YES,
										onTap : function(e) {

										}
									}]
								);
							}else{
                                if ($rootScope.currentTab == "tab.setting") {
                                    $state.go('tab.setting-page-group-confirm', { groupId: groupId });
                                } else {
                                    $state.go('tab.page-group-confirm', { groupId: groupId });
                                }							}
						}
					},
					function(error){
						utility.hideBusy();
						console.log('confirm To Transfer' + error);
					}
				);
			},
			function (error) {
				utility.hideBusy();
				console.log('db error:' + error);
			})
    }
})

.controller('PayrollEditCtrl', function($rootScope,$scope, $state,$stateParams,$ionicHistory,commonServices,payrollOutService){
	//defect 1923
	commonServices.storage().set('payRollTypeFlag', "");
	//振込・振替先を追加 button flag
	$scope.payrollAddButtonPushed = false;

	$scope.isAndroid44 = utility.isAndroid44();
	$scope.isAndroid442 = utility.isAndroid442();
	$scope.readonly=true;
	$scope.showcheckbox=true;
	$scope.cardflag=false;
	$scope.showNotifyMsg1=false;
	$scope.showNotifyMsg2=false;
	$scope.showNotifyMsg3=false;
	$scope.showNotifyMsg4=false;
	$rootScope.showtransferInlist = false;
	$rootScope.showtransferOutlist = false;
	$scope.transferoutlists = [];
	$scope.transferinlists = [];
	$scope.groupInfo = {};
	$scope.outlists =[];
	var groupId = $stateParams.groupId;
	$scope.readonly = commonServices.storage().get('isCreate');

	if($scope.readonly){
    utility.AdobeAnalytics("TFMFIN02","グループの登録","screen_view");
	}else{
	utility.AdobeAnalytics("TFMFIN03","グループの編集","screen_view");
	}
    var lists=utility.clone(commonServices.storage().get('transferInFrom7880').data.ACCNT_BL_INF);
    var outlistlength=utility.clone(commonServices.storage().get('transferInFrom7880').data.ACCNT_BL_NUMBER);
    for(var i in lists){
    	if(lists[i].ACCNT_BL_TYPE == "2101" || lists[i].ACCNT_BL_TYPE == "2208"){
			$scope.cardflag=true;
		}
    	if(lists[i].checked == true){
    		lists[i].checked = false;
    	}
    }
    if(outlistlength==1 && utility.isNothing(groupId)){
    	$scope.showcheckbox=false;
    	$scope.groupInfo = commonServices.storage().get('PAYROLL_GROUPINFO');
    	if(utility.isNothing($scope.groupInfo)){
    		$scope.groupInfo = {};
    	}
    	var groupInfo2={};
    	groupInfo2.groupId = $scope.groupInfo.groupId;
    	groupInfo2.groupName = $scope.groupInfo.groupName;
    	groupInfo2.Branch = lists[0].Branch;
    	groupInfo2.AccountName = lists[0].AccountName;
    	groupInfo2.AccountNum = lists[0].AccountNum;
    	
    	groupInfo2.pay_account_type_code = lists[0].ACCNT_BL_TYPE;
    	groupInfo2.ACCNT_HST_NUMBER = lists[0].ACCNT_HST_NUMBER;
    	groupInfo2.ARRAY_INDEX_CODE = lists[0].ARRAY_INDEX_CODE;
    	groupInfo2.BALANCE = lists[0].BALANCE;
    	groupInfo2.pay_account_index1 = lists[0].Detail_index_ori;
    	groupInfo2.JIKO_UMU = lists[0].JIKO_UMU;
    	groupInfo2.OVER_DETAIL_FLG = lists[0].OVER_DETAIL_FLG;
    	groupInfo2.PAY_CAN_BALANCE = lists[0].PAY_CAN_BALANCE;
    	groupInfo2.Representative_Flag = lists[0].Representative_Flag;
    	
    	$scope.groupInfo=groupInfo2;
    	commonServices.storage().set('PAYROLL_GROUPINFO', $scope.groupInfo);
    	
    }
    $scope.outlists=lists;
    
	$scope.selectOut=function(data){
    		var groupInfo1={};
    		
        	groupInfo1.groupId = $scope.groupInfo.groupId;
        	groupInfo1.groupName = $scope.groupInfo.groupName;
        	groupInfo1.Branch = data.Branch;
        	groupInfo1.AccountName = data.AccountName;
        	groupInfo1.AccountNum = data.AccountNum;
        	
        	groupInfo1.pay_account_type_code = data.ACCNT_BL_TYPE;
        	groupInfo1.ACCNT_HST_NUMBER = data.ACCNT_HST_NUMBER;
        	groupInfo1.ARRAY_INDEX_CODE = data.ARRAY_INDEX_CODE;
        	groupInfo1.BALANCE = data.BALANCE;
        	groupInfo1.pay_account_index1 = data.Detail_index_ori;
        	groupInfo1.JIKO_UMU = data.JIKO_UMU;
        	groupInfo1.OVER_DETAIL_FLG = data.OVER_DETAIL_FLG;
        	groupInfo1.PAY_CAN_BALANCE = data.PAY_CAN_BALANCE;
        	groupInfo1.Representative_Flag = data.Representative_Flag;
        	
        	$scope.groupInfo=groupInfo1;
        	commonServices.storage().set('PAYROLL_GROUPINFO', $scope.groupInfo);
    	
    	}
    

	$scope.outShowErrorFlag = false;
		$scope.outShowErrorItem = {};
	var setRadioCheck = function(lists,groupInfo){
		$scope.checked=false;
		var unChecked = true;
		var outDisaccordNum = 0;
		var listsLength = 0;
		for (var i in lists) {
			var AccountNum = lists[i].AccountNum;
			var ACCNT_BL_TYPE =lists[i].ACCNT_BL_TYPE;
			var Branch =lists[i].Branch;
			var AccountName =lists[i].AccountName;
			if (groupInfo.AccountNum == AccountNum && groupInfo.pay_account_type_code ==ACCNT_BL_TYPE && groupInfo.Branch == Branch && groupInfo.AccountName ==AccountName) {
				lists[i].checked = true;
				outDisaccordNum = -999;
				unChecked = false;
				break;
			} else {
				outDisaccordNum++;
				lists[i].checked = false;

			}
			listsLength = parseInt(i) + 1;
		}
		if((listsLength == outDisaccordNum) && utility.hasValue(groupId)){
			$scope.outShowErrorFlag = true;
			if(utility.hasValue(commonServices.storage().get('PAYROLL_OUTSHOWERRORITEM'))){
				$scope.outShowErrorItem = commonServices.storage().get('PAYROLL_OUTSHOWERRORITEM');
			}else{
				$scope.outShowErrorItem = {
					AccountNum : groupInfo.AccountNum,
					Branch : groupInfo.Branch,
					AccountName : groupInfo.AccountName,
				};
				commonServices.storage().set('PAYROLL_OUTSHOWERRORITEM', $scope.outShowErrorItem);
			}

		}
		if(unChecked){
			groupInfo.AccountNum = null;
			groupInfo.pay_account_index = null;
			groupInfo.pay_account_index1 = null;
			groupInfo.Branch = null;
			groupInfo.AccountName = null;
			groupInfo.pay_account_type_code = null;
			
        	groupInfo.ACCNT_HST_NUMBER = null;
        	groupInfo.ARRAY_INDEX_CODE = null;
        	groupInfo.BALANCE = null;
        	groupInfo.JIKO_UMU = null;
        	groupInfo.OVER_DETAIL_FLG = null;
        	groupInfo.PAY_CAN_BALANCE = null;
        	groupInfo.Representative_Flag = null;
			
		}
	}

	var pageInit = function(fixAccountIndex){
//		if(utility.hasValue(groupId)){
			if((utility.isNothing(commonServices.storage().get('PAYROLL_TRANSFEROUTLISTS')) || commonServices.storage().get('PAYROLL_TRANSFEROUTLISTS').length == 0) && 
					(utility.isNothing(commonServices.storage().get('PAYROLL_TRANSFERINLISTS')) || commonServices.storage().get('PAYROLL_TRANSFERINLISTS').length == 0 )){
				if(utility.hasValue(groupId) && commonServices.storage().get('fromTop')) {
					commonServices.storage().set('fromTop',false);
					payrollOutService.queryGroupsById(groupId, fixAccountIndex).then(
						function (result) {
							
							$scope.groupInfo = commonServices.storage().get('PAYROLL_GROUPINFO');
							$scope.transferoutlists = commonServices.storage().get('PAYROLL_TRANSFEROUTLISTS');
							$scope.transferinlists = commonServices.storage().get('PAYROLL_TRANSFERINLISTS');
							
							setRadioCheck(lists, $scope.groupInfo);
							if(utility.isNothing($scope.transferoutlists) || $scope.transferoutlists.length === 0){
								$rootScope.showtransferOutlist = false;
							}else{
								$rootScope.showtransferOutlist = true;
								var transferoutresponsedata = null;
								if(utility.hasValue(commonServices.storage().get('transferOutFrom7480')) && 
										utility.hasValue(commonServices.storage().get('transferOutFrom7480').data)){
									transferoutresponsedata = commonServices.storage().get('transferOutFrom7480').data.REGI_ACCNT_INF_SIA;
								}
								var isoutDel = payrollOutService.showTransferOutError(transferoutresponsedata,$scope.transferoutlists);	
							}

							if(utility.isNothing($scope.transferinlists) || $scope.transferinlists.length === 0){
								$rootScope.showtransferInlist = false;
							}else{
								$rootScope.showtransferInlist = true;
								var isinDel = payrollOutService.showTransferInError(lists,$scope.transferinlists);
							}
							if(isoutDel || isinDel){
								$scope.disableflag=true;
							}else{
								$scope.disableflag=false;
							}
							//当振入和振替里的口座和server端的口座不一致时，弹出popup
							if($scope.disableflag==true){
								var msg = Messages.PAYROLL_TRANSFEROUT_ERROR_POPUP;
								 commonServices.showAlert("", msg, [
								     {
								    	 text : Messages.YES,
								    	 onTap : function(e) {
								         					                                                				        		   
								    	 }
								     }]
								 );
							}
						},
						function (error) {
							console.log(error);
						}
					);
				}else{
					if(utility.isNothing(commonServices.storage().get('PAYROLL_TRANSFEROUTLISTS')) || commonServices.storage().get('PAYROLL_TRANSFEROUTLISTS').length == 0){
						$rootScope.showtransferOutlist=false;
						commonServices.storage().set('PAYROLL_TRANSFEROUTLISTS', []);
					}else{
						$rootScope.showtransferOutlist=true;
						var transferoutlists = commonServices.storage().get('PAYROLL_TRANSFEROUTLISTS');
						if(utility.hasValue(transferoutlists) && transferoutlists.length !== 0){
							for(var i = 0; i < transferoutlists.length; i++){
								if(utility.isNothing(transferoutlists[i].name)){
									transferoutlists[i].nameDisplay = false;
								}else{
									transferoutlists[i].nameDisplay = true;
								}

							}

						}else{

						}
						$scope.transferoutlists = transferoutlists;
					}

					if(utility.isNothing(commonServices.storage().get('PAYROLL_TRANSFERINLISTS')) || commonServices.storage().get('PAYROLL_TRANSFERINLISTS').length == 0){
						$rootScope.showtransferInlist=false;
						commonServices.storage().set('PAYROLL_TRANSFERINLISTS', []);
					}else{
						$rootScope.showtransferInlist=true;
						$scope.transferinlists = commonServices.storage().get('PAYROLL_TRANSFERINLISTS');
					}
					
					if(utility.hasValue(commonServices.storage().get('PAYROLL_GROUPINFO'))){
						$scope.groupInfo = commonServices.storage().get('PAYROLL_GROUPINFO');
					}else{
						$scope.groupInfo = {};
					}
					setRadioCheck(lists,$scope.groupInfo);
				}
			}else{
				if(utility.isNothing(commonServices.storage().get('PAYROLL_TRANSFEROUTLISTS')) || commonServices.storage().get('PAYROLL_TRANSFEROUTLISTS').length == 0){
					$rootScope.showtransferOutlist=false;
					commonServices.storage().set('PAYROLL_TRANSFEROUTLISTS', []);
				}else{
					$rootScope.showtransferOutlist=true;
					var transferoutlists = commonServices.storage().get('PAYROLL_TRANSFEROUTLISTS');
					if(utility.hasValue(transferoutlists) && transferoutlists.length !== 0){
						for(var i = 0; i < transferoutlists.length; i++){
							if(utility.isNothing(transferoutlists[i].name)){
								transferoutlists[i].nameDisplay = false;
							}else{
								transferoutlists[i].nameDisplay = true;
							}

						}

					}else{

					}
					$scope.transferoutlists = transferoutlists;
					var transferoutresponsedata =null;
					if(utility.hasValue(commonServices.storage().get('transferOutFrom7480')) && 
							utility.hasValue(commonServices.storage().get('transferOutFrom7480').data)){
						transferoutresponsedata = commonServices.storage().get('transferOutFrom7480').data.REGI_ACCNT_INF_SIA;
					}
					var isoutDel = payrollOutService.showTransferOutError(transferoutresponsedata,$scope.transferoutlists);
				}
				if(utility.isNothing(commonServices.storage().get('PAYROLL_TRANSFERINLISTS')) || commonServices.storage().get('PAYROLL_TRANSFERINLISTS').length == 0){
					$rootScope.showtransferInlist=false;
					commonServices.storage().set('PAYROLL_TRANSFERINLISTS', []);
				}else{
					$rootScope.showtransferInlist=true;
					$scope.transferinlists = commonServices.storage().get('PAYROLL_TRANSFERINLISTS');
					var isinDel = payrollOutService.showTransferInError(lists,$scope.transferinlists);
				}
				if(isoutDel || isinDel){
					$scope.disableflag=true;
				}else{
					$scope.disableflag=false;
				}
				if(utility.hasValue(commonServices.storage().get('PAYROLL_GROUPINFO'))){
					$scope.groupInfo = commonServices.storage().get('PAYROLL_GROUPINFO');
				}else{
					$scope.groupInfo = {};
				}
				
				setRadioCheck(lists,$scope.groupInfo);
			}
			if(utility.hasValue($scope.transferoutlists) && $scope.transferoutlists.length !== 0){
				for(var i = 0; i < $scope.transferoutlists.length; i++){
					if(utility.isNothing($scope.transferoutlists[i].name)){
						$scope.transferoutlists[i].nameDisplay = false;
					}else{
						$scope.transferoutlists[i].nameDisplay = true;
					}

				}

			}else{

			}

	}
	
//	$scope.$on('$ionicView.enter',function(e) {
//    	pageInit();
    	// T5SP-2188
    	var fixAccountIndex = payrollOutService.withAccountIndexFixer($scope, pageInit);
//	});
	
	var validateAccount = function(itemList) {
		for(var i = 0; i < itemList.length; i++){
			if(utility.hasValue($scope.groupInfo) && $scope.groupInfo.AccountNum === itemList[i].number){
				return true;
			}
		}
		return false;
	}
	$scope.deleGroup = function(){
		commonServices.showAlert("",
				Messages.PAYROLL_ALT_GROUP_DELE, [{
					text : Messages.NO,
					onTap : function(e) {
						
					}
				},
				{
				text : Messages.YES,
				onTap : function(e) {
					// 点击 はい的时候、
			        // -Group相关的数据要从memory中删除
			        // -Group相关的数据要从DB中删除
			        // -迁移到Group选择画面
			        // -在［グループ選択画面］被删除的Group不再显示了
					payrollOutService.deleteGroupById($scope.groupInfo.groupId).then(
						function(result) {
							utility.showBusy();
							payrollOutService.queryAllGroups(fixAccountIndex).then(
						    		function(result) {
						    			if(result.data == null || result.data == undefined){
						    				result.data = [];
						    			}
						    			commonServices.storage().set('GroupListForSelect',result.data);
                                        if ($rootScope.currentTab == "tab.setting") {
                                            $state.go('tab.setting-page-group-list');
                                        } else {
                                            $state.go('tab.page-group-list');
                                        }
                                        utility.hideBusy();
						    		},
									function(error) {
										// do nothing
										console.log('queryAllGroups error' + error);
										commonServices.storage().set('GroupListForSelect',[]);
									}
						    	);
						},
						function(error) {
							commonServices.showAlert("",
									Messages.PAYROLL_ALT_SAVE_FAILE, [ {
				    					text : Messages.YES,
				    					onTap : function(e) {
				    						
				    					}
				    				}]
			    			    );
						}
					);
					
				}
			}]
	    );
	}
	
	$scope.addOrUpdateGroup = function(flg) {
		commonServices.storage().set('PAYROLL_GROUPINFO', $scope.groupInfo);
		$scope.showNotifyMsg1=false;
		$scope.showNotifyMsg2=false;
		$scope.showNotifyMsg3=false;
		$scope.showNotifyMsg4=false;
		$scope.notifyMsg1=null;
		$scope.notifyMsg2=null;
		$scope.notifyMsg3=null;
		$scope.notifyMsg4=null;
		
		var msg = '';
		// グループ名没有输入的状态下、点击「グループを作成」、显示popup
		if(utility.isNothing($scope.groupInfo) || utility.isNothing($scope.groupInfo.groupName)){
			msg = Messages.PAYROLL_ALT_GROUPNAME_ISNULL;
			$scope.showNotifyMsg1 = true;
			$scope.notifyMsg1 = Messages.PAYROLL_ALT_GROUPNAME_ISNULL;
		}
		//  振込・振替先」的数量为0的状态下、按下「グループを作成」按钮后，要显示PopUp
		if($scope.transferoutlists.length == 0 && $scope.transferinlists.length == 0){
			if(utility.hasValue(msg)){
				msg = msg + '<br/>' + Messages.PAYROLL_ALT_ACCOUNT_ISNULL;
			}else{
				msg = Messages.PAYROLL_ALT_ACCOUNT_ISNULL;
			}
			$scope.showNotifyMsg2 = true;
			$scope.notifyMsg2 = Messages.PAYROLL_ALT_ACCOUNT_ISNULL;
		}
		//  「出金口座」是未選択的状态下、按下「グループを作成」按钮后，要显示PopUp
		if(utility.isNothing($scope.groupInfo) || utility.isNothing($scope.groupInfo.AccountNum)){
			if(utility.hasValue(msg)){
				msg = msg + '<br/>' + Messages.PAYROLL_ALT_PAYACCOUNT_ISNULL;
			}else{
				msg = Messages.PAYROLL_ALT_PAYACCOUNT_ISNULL;
			}
			$scope.showNotifyMsg3 = true;
			$scope.notifyMsg3 = Messages.PAYROLL_ALT_PAYACCOUNT_ISNULL;
		}
		// 「 振込・振替口座与 出金口座 相同的状態下、按下「グループを作成」botton、会显示popup
		if(validateAccount($scope.transferoutlists) || validateAccount($scope.transferinlists)){
			if(utility.hasValue(msg)){
				msg = msg + '<br/>' + Messages.PAYROLL_ALT_SAMECCOUNT;
			}else{
				msg = Messages.PAYROLL_ALT_SAMECCOUNT;
			}
			$scope.showNotifyMsg4 = true;
			$scope.notifyMsg4 = Messages.PAYROLL_ALT_SAMECCOUNT;
		}
		
		if(utility.hasValue(msg)){
			commonServices.showAlert("",
    					msg, [ {
    					text : Messages.YES,
    					onTap : function(e) {
    						
    					}
    				}]
			    );
		}else{
			//  振込・振替口座与 出金口座 相同的状態下、按下「グループを作成」botton、会显示popup
			payrollOutService.checkGroupName($scope.groupInfo.groupName,$scope.groupInfo.groupId).then(
				function(result) {
					if(result.rows.item(0).cnt > 0){
						commonServices.showAlert("",
		    					Messages.PAYROLL_ALT_SAME_GROUP_NAME, [{
			    					text : Messages.NO,
			    					onTap : function(e) {
			    						
			    					}
			    				},{
		    					text : Messages.YES,
		    					onTap : function(e) {
		    						// -入力エラーがない場合に、
		    						// -「グループを作成」をタップしたら、アプリ内のDBにグールプが作成されること
		    						// -「グループ選択画面」に遷移されること
		    						// - 「グループ選択画面」で作成したグループが表示されること
		    						payrollOutService.createOrUpdateGroup($scope.transferoutlists,$scope.transferinlists,$scope.groupInfo).then(
		    								function(result){
		    									// Defect 2302 - 「処理が成功しました」ポップアップが出ないようの対応。-Start
		    									//commonServices.showAlert("",
		    						    		//		Messages.PAYROLL_ALT_SAVE_SUCCESS, [ {
		    						    		//			text : Messages.YES,
		    						    		//			onTap : function(e) {
		    									// Defect 2302 - 「処理が成功しました」ポップアップが出ないようの対応。-End
		    						    						utility.showBusy();
		    													payrollOutService.queryAllGroups(fixAccountIndex).then(
		    												    		function(result) {
		    												    			if(result.data == null || result.data == undefined){
		    												    				result.data = [];
		    												    			}
		    												    			commonServices.storage().set('GroupListForSelect',result.data);
		    				                                                if ($rootScope.currentTab == "tab.setting") {
                                                        						$state.go('tab.setting-page-group-list');
                                                    						} else {
                                                        						$state.go('tab.page-group-list');
                                                    						}								    			utility.hideBusy();
		    												    		},
		    															function(error) {
		    																// do nothing
		    																console.log('queryAllGroups error' + error);
		    																commonServices.storage().set('GroupListForSelect',[]);
		    															}
		    												    	);
		    									// Defect 2302 - 「処理が成功しました」ポップアップが出ないようの対応。-Start
		    									//			}
		    						    		//		}]
		    					    			//   );
		    									// Defect 2302 - 「処理が成功しました」ポップアップが出ないようの対応。-End
		    								},function(error){
		    									commonServices.showAlert("",
		    											Messages.PAYROLL_ALT_SAVE_FAILE, [ {
		    						    					text : Messages.YES,
		    						    					onTap : function(e) {
		    						    						
		    						    					}
		    						    				}]
		    					    			    );
		    								}
		    							);
		    					}
		    				}]
					    );
					}else{
						// -入力エラーがない場合に、
						// -「グループを作成」をタップしたら、アプリ内のDBにグールプが作成されること
						// -「グループ選択画面」に遷移されること
						// - 「グループ選択画面」で作成したグループが表示されること
						payrollOutService.createOrUpdateGroup($scope.transferoutlists,$scope.transferinlists,$scope.groupInfo).then(
								function(result){
//									commonServices.showAlert("",
//						    				Messages.PAYROLL_ALT_SAVE_SUCCESS, [ {
//						    					text : Messages.YES,
//						    					onTap : function(e) {
						    						utility.showBusy();
													payrollOutService.queryAllGroups(fixAccountIndex).then(
												    		function(result) {
												    			if(result.data == null || result.data == undefined){
												    				result.data = [];
												    			}
												    			commonServices.storage().set('GroupListForSelect',result.data);
							                                    if ($rootScope.currentTab == "tab.setting") {
                                            						$state.go('tab.setting-page-group-list');
                                        						} else {
                                            						$state.go('tab.page-group-list');
                                        						}		
                                        						utility.hideBusy();
												    		},
															function(error) {
																// do nothing
																console.log('queryAllGroups error' + error);
																commonServices.storage().set('GroupListForSelect',[]);
															}
												    	);
//						    					}
//						    				}]
//					    			    );
								},function(error){
									commonServices.showAlert("",
											Messages.PAYROLL_ALT_SAVE_FAILE, [ {
						    					text : Messages.YES,
						    					onTap : function(e) {
						    						
						    					}
						    				}]
					    			    );
								}
							);
					}
				},
				function(error) {
					console.log('checkGroupName error:' + error);
				}
			)
		}
	}

	// goto 振込・振替先選択 page

  $scope.gotoOutSelect = function(){
	  payrollOutService.setSearchFlag(true); //Defect 2303
	  //振込・振替先を追加 button flag
	  $scope.payrollAddButtonPushed = true;
	  commonServices.storage().set('PAYROLL_GROUPINFO', $scope.groupInfo);
	  //commonServices.storage().set('payRollTypeFlag', "un-defined");
	  //commonServices.storage().set('payRollTypeChangeFlag', false);
	  var transferNum = $scope.transferoutlists.length + $scope.transferinlists.length;
	  if(transferNum >= 5 ){
		commonServices.showAlert('',Messages.GROUP_OUT_5_MSG,[{
			text : Messages.YES
  		}] )
	  }
	  else{
		  if(commonServices.storage().get('payRollOutFlag') == "createGroup"){
			  // clear selected tab
			  payrollOutService.setSelectedTab('0');
			  if ($rootScope.currentTab == "tab.setting") {
                  $state.go('tab.setting-page-out-select');
              } else {
                 $state.go('tab.page-out-select');
              }

		  }else{
			  commonServices.storage().set('payRollOutFlag', "create");
			  // clear selected tab
			  payrollOutService.setSelectedTab('0');
              if ($rootScope.currentTab == "tab.setting") {
                 $state.go('tab.setting-page-out-select', { groupId: groupId });
              } else {
                 $state.go('tab.page-out-select', { groupId: groupId });
              }
		  }


	  }  
  }
  		$scope.goToPayrollOutEdit = function(item){
			commonServices.storage().set('temporaryOutEditItem', item);
			commonServices.storage().set('PAYROLL_GROUPINFO', $scope.groupInfo);
			commonServices.storage().set('payRollTypeFlag', "out");
			commonServices.storage().set('payRollTypeChangeFlag', false);
			commonServices.storage().set('temporaryCloneEditItem', utility.clone(item));
			if(utility.hasValue(item.showerrorflag) && item.showerrorflag){
				commonServices.storage().set('payRollOutFlag', "updateBank");
				commonServices.storage().set('payRollOutId', item.id);
				commonServices.storage().set('payRollOutIdx',  item.idx);
				payrollOutService.setSelectedTab('0');
            	if ($rootScope.currentTab == "tab.setting") {
                	$state.go('tab.setting-page-out-select', { groupId: groupId });
            	} else {
                	$state.go('tab.page-out-select', { groupId: groupId });
            	}			
            }else{
				commonServices.storage().set('payRollOutFlag', "updatePrice");
				commonServices.storage().set('outPrice',null);
            	if ($rootScope.currentTab == "tab.setting") {
                	$state.go('tab.setting-page-group-out-edit', { groupId: groupId });
            	} else {
                	$state.go('tab.page-group-out-edit', { groupId: groupId });
            	}
            }
		}

		$scope.goToPayrollInEdit = function(item){
			commonServices.storage().set('temporaryOutEditItem', item);
			commonServices.storage().set('payRollTypeFlag', "in");
			commonServices.storage().set('payRollTypeChangeFlag', false);
			commonServices.storage().set('temporaryCloneEditItem', utility.clone(item));
			if(utility.hasValue(item.showerrorflag) && item.showerrorflag){
				commonServices.storage().set('payRollOutFlag', "updateBank");
				commonServices.storage().set('payRollOutId', item.id);
				commonServices.storage().set('payRollOutIdx',  item.idx);
				payrollOutService.setSelectedTab('1');
            	if ($rootScope.currentTab == "tab.setting") {
                	$state.go('tab.setting-page-out-select', { groupId: groupId });
            	} else {
                	$state.go('tab.page-out-select', { groupId: groupId });
            	}			
            }else{
				commonServices.storage().set('payRollOutFlag', "updatePrice");
				commonServices.storage().set('inPrice',null);
            	if ($rootScope.currentTab == "tab.setting") {
                	$state.go('tab.setting-page-group-in-edit', { groupId: groupId });
            	} else {
                	$state.go('tab.page-group-in-edit', { groupId: groupId });
            	}
            }

		}
  		$scope.deleteOutItem = function(item){
  			 var isoutDisable =false;
  			 var isinDisable=false;
  			commonServices.showAlert("",
					Messages.PAYROLL_ALT_DELETE_OUT, [{
						text : Messages.NO,
						onTap : function(e) {
						}
					},
					{
					text : Messages.YES,
					onTap : function(e) {
						
						var transferOutlist = payrollOutService.deleteGroupItemFromMem(item,'1');
						
						if(transferOutlist.length == 0){
							$rootScope.showtransferOutlist=false;
							isoutDisable=false;
						}
						
						$scope.transferoutlists = transferOutlist;
						//判断更新按钮的活性非活性
						$scope.transferinlists = commonServices.storage().get('PAYROLL_TRANSFERINLISTS');
						for(var i = 0; i < $scope.transferoutlists.length; i++){
						if($scope.transferoutlists[i].showerrorflag == true){
							isoutDisable=true;
							break;
							}else{
								isoutDisable=false;
							}
						}
						for(var j = 0; j < $scope.transferinlists.length; j++){
							if($scope.transferinlists[j].showerrorflag == true){
								isinDisable=true;
								break;
							}else{
								isinDisable=false;
							}
						}
						if(isoutDisable || isinDisable){
							$scope.disableflag=true;
						}else{
							$scope.disableflag=false;
						}
					}
				}]
		    );
		}
  		
  		$scope.deleteInItem = function(item){
  			var isoutDisable =false;
 			 var isinDisable=false;
  			commonServices.showAlert("",
					Messages.PAYROLL_ALT_DELETE_IN, [{
						text : Messages.NO,
						onTap : function(e) {
						}
					},
					{
					text : Messages.YES,
					onTap : function(e) {
						var transferInlist = payrollOutService.deleteGroupItemFromMem(item,'2');
						
						if(transferInlist.length == 0){
							$rootScope.showtransferInlist=false;
						}
						$scope.transferinlists = transferInlist;
						$scope.transferoutlists = commonServices.storage().get('PAYROLL_TRANSFEROUTLISTS');
						for(var i = 0; i < $scope.transferoutlists.length; i++){
							if($scope.transferoutlists[i].showerrorflag == true){
								isoutDisable=true;
								break;
								}else{
									isoutDisable=false;
								}
							}
							for(var j = 0; j < $scope.transferinlists.length; j++){
								if($scope.transferinlists[j].showerrorflag == true){
									isinDisable=true;
									break;
								}else{
									isinDisable=false;
								}
							}
							if(isoutDisable || isinDisable){
								$scope.disableflag=true;
							}else{
								$scope.disableflag=false;
							}
						
					}
				}]
		    );
		}


})

